Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorQuentin Le Menez2018-11-20 03:22:38 -0500
committerQuentin Le Menez2018-11-22 03:59:25 -0500
commit623100cd6ee5158e2bdcf660eb053e359ecfc8da (patch)
treeae603609e820f304bfca1438c19b1a08c2b1be66
parent2c6c607274f82686115749533b8e5f133d6b0f2a (diff)
downloadorg.eclipse.papyrus-623100cd6ee5158e2bdcf660eb053e359ecfc8da.tar.gz
org.eclipse.papyrus-623100cd6ee5158e2bdcf660eb053e359ecfc8da.tar.xz
org.eclipse.papyrus-623100cd6ee5158e2bdcf660eb053e359ecfc8da.zip
Bug 539022 - [Releng] Update the API references for version management tools
- Add missing APIAnalysisNature - Add missing VersionNature - Add missing settings files - regenerate the API baseline Change-Id: I4088d2998402cc10067ee6c85f6a1763d574d28c Signed-off-by: Quentin Le Menez <quentin.lemenez@cea.fr>
-rwxr-xr-xfeatures/papyrus-main-features/org.eclipse.papyrus.infra.emf.expressions.feature/.project38
-rwxr-xr-xfeatures/papyrus-main-features/org.eclipse.papyrus.uml.expressions.feature/.project38
-rw-r--r--features/papyrus-tests-features/org.eclipse.papyrus.tests.uml.internationalization.feature/feature.xml2
-rw-r--r--features/papyrus-toolsmiths-features/org.eclipse.papyrus.toolsmiths.feature/.project50
-rw-r--r--plugins/doc/org.eclipse.papyrus.infra.services.decoration.doc/.project74
-rw-r--r--plugins/doc/org.eclipse.papyrus.infra.types.doc/.project57
-rw-r--r--plugins/editor/org.eclipse.papyrus.editor.perspectiveconfiguration/.project2
-rw-r--r--plugins/facet/editor/org.eclipse.papyrus.emf.facet.custom.doc/.project6
-rwxr-xr-xplugins/facet/editor/org.eclipse.papyrus.emf.facet.custom.doc/.settings/org.eclipse.core.resources.prefs2
-rwxr-xr-xplugins/facet/editor/org.eclipse.papyrus.emf.facet.custom.doc/.settings/org.eclipse.core.runtime.prefs2
-rwxr-xr-xplugins/facet/editor/org.eclipse.papyrus.emf.facet.custom.doc/.settings/org.eclipse.pde.api.tools.prefs104
-rw-r--r--plugins/facet/editor/org.eclipse.papyrus.emf.facet.custom.metamodel.editor.doc/.project6
-rwxr-xr-xplugins/facet/editor/org.eclipse.papyrus.emf.facet.custom.metamodel.editor.doc/.settings/org.eclipse.pde.api.tools.prefs104
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.aggregate.doc/.project6
-rwxr-xr-xplugins/facet/org.eclipse.papyrus.emf.facet.aggregate.doc/.settings/org.eclipse.pde.api.tools.prefs104
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.efacet.doc/.project6
-rwxr-xr-xplugins/facet/org.eclipse.papyrus.emf.facet.efacet.doc/.settings/org.eclipse.pde.api.tools.prefs104
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.doc/.project6
-rwxr-xr-xplugins/facet/org.eclipse.papyrus.emf.facet.util.emf.doc/.settings/org.eclipse.pde.api.tools.prefs104
-rw-r--r--plugins/infra/architecture/org.eclipse.papyrus.infra.architecture.representation.edit/.project70
-rw-r--r--plugins/infra/architecture/org.eclipse.papyrus.infra.architecture.representation/.project70
-rw-r--r--plugins/infra/architecture/org.eclipse.papyrus.infra.architecture/.project70
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.infra.core.architecture.edit/.project70
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.infra.core.architecture/.project70
-rwxr-xr-xplugins/infra/emf/expressions/org.eclipse.papyrus.infra.emf.expressions.edit/.project70
-rwxr-xr-xplugins/infra/emf/expressions/org.eclipse.papyrus.infra.emf.expressions.editor/.project70
-rwxr-xr-xplugins/infra/emf/expressions/org.eclipse.papyrus.infra.emf.expressions/.project82
-rwxr-xr-xplugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.css.model.edit/.project70
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.representation.edit/.project70
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.representation/.project70
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.style.edit/.project70
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.style/.project70
-rwxr-xr-xplugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.tooling.runtime/.project70
-rw-r--r--plugins/infra/gmfdiag/paletteconfiguration/org.eclipse.papyrus.infra.gmfdiag.paletteconfiguration.editor/.project70
-rw-r--r--plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.representation.edit/.project70
-rw-r--r--plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.representation/.project70
-rw-r--r--plugins/infra/newchild/org.eclipse.papyrus.infra.newchild.editor/.project70
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.architecture/.project70
-rw-r--r--plugins/infra/types/org.eclipse.papyrus.infra.types.edit/.project70
-rw-r--r--plugins/infra/ui/org.eclipse.papyrus.infra.newchild.ui/.project71
-rw-r--r--plugins/infra/ui/org.eclipse.papyrus.infra.ui.architecture/.project70
-rw-r--r--plugins/infra/ui/org.eclipse.papyrus.infra.ui.fonts/.project64
-rw-r--r--plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.assistants.generator.ui/.project2
-rw-r--r--plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.assistants.generator/.project2
-rw-r--r--plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.newchildmenu.generator.ui/.project12
-rw-r--r--plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.newchildmenu.generator/.project7
-rw-r--r--plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.types.generator.ui/.project22
-rw-r--r--plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.types.generator/.project7
-rw-r--r--plugins/toolsmiths/org.eclipse.papyrus.codegen/.project5
-rw-r--r--plugins/toolsmiths/org.eclipse.papyrus.customization.nattableconfiguration/.project70
-rw-r--r--plugins/toolsmiths/org.eclipse.papyrus.dev.assistants.codegen/.project15
-rwxr-xr-xplugins/toolsmiths/org.eclipse.papyrus.dev.pluginexplorer/.project12
-rw-r--r--plugins/toolsmiths/org.eclipse.papyrus.dev.project.management/.project5
-rw-r--r--plugins/toolsmiths/org.eclipse.papyrus.dev.types/.project15
-rw-r--r--plugins/toolsmiths/org.eclipse.papyrus.dev.ui/.project64
-rw-r--r--plugins/toolsmiths/org.eclipse.papyrus.dev.view.services.edit.request/.project5
-rw-r--r--plugins/toolsmiths/org.eclipse.papyrus.gmf.editpartview/.project5
-rw-r--r--plugins/toolsmiths/org.eclipse.papyrus.gmf.editpoliciesstates/.project5
-rw-r--r--plugins/toolsmiths/org.eclipse.papyrus.gmf.figureview/.project5
-rw-r--r--plugins/toolsmiths/org.eclipse.papyrus.gmfgenextension/.project5
-rw-r--r--plugins/toolsmiths/org.eclipse.papyrus.infra.gmfdiag.css.debug/.project5
-rwxr-xr-xplugins/toolsmiths/org.eclipse.papyrus.releng.dev.release/release.digestbin1813 -> 4328 bytes
-rwxr-xr-xplugins/toolsmiths/org.eclipse.papyrus.releng.dev.release/release.xml83
-rwxr-xr-xplugins/toolsmiths/org.eclipse.papyrus.releng.main.release/release.digestbin29784 -> 29986 bytes
-rwxr-xr-xplugins/toolsmiths/org.eclipse.papyrus.releng.main.release/release.xml142
-rw-r--r--plugins/toolsmiths/org.eclipse.papyrus.releng.tools/.project5
-rwxr-xr-xplugins/toolsmiths/org.eclipse.papyrus.toolsmiths.expressions/.project70
-rw-r--r--plugins/toolsmiths/org.eclipse.papyrus.toolsmiths.palette/.project12
-rw-r--r--plugins/toolsmiths/org.eclipse.papyrus.toolsmiths/.project70
-rw-r--r--plugins/toolsmiths/org.eclipse.papyrus.uml.m2m.qvto.tests.tools/.project59
-rw-r--r--plugins/toolsmiths/profilemigration/org.eclipse.papyrus.toolsmiths.profilemigration.ui/.project64
-rw-r--r--plugins/toolsmiths/profilemigration/org.eclipse.papyrus.toolsmiths.profilemigration/.project64
-rw-r--r--plugins/uml/architecture/org.eclipse.papyrus.uml.architecture/.project70
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence.restrictions/.project69
-rwxr-xr-xplugins/uml/expressions/org.eclipse.papyrus.uml.expressions.edit/.project70
-rwxr-xr-xplugins/uml/expressions/org.eclipse.papyrus.uml.expressions.properties/.project70
-rwxr-xr-xplugins/uml/expressions/org.eclipse.papyrus.uml.expressions/.project70
-rw-r--r--plugins/uml/m2m/org.eclipse.papyrus.uml.m2m.qvto.common.blackboxes/.project70
-rw-r--r--plugins/uml/m2m/org.eclipse.papyrus.uml.m2m.qvto.common/.project70
-rwxr-xr-xplugins/uml/nattable/org.eclipse.papyrus.uml.nattable.matrix/.project70
-rwxr-xr-xplugins/uml/nattable/org.eclipse.papyrus.uml.nattable.properties/.project70
-rw-r--r--plugins/uml/profile/org.eclipse.papyrus.uml.profile.drafter.documentation/.project83
82 files changed, 2735 insertions, 1246 deletions
diff --git a/features/papyrus-main-features/org.eclipse.papyrus.infra.emf.expressions.feature/.project b/features/papyrus-main-features/org.eclipse.papyrus.infra.emf.expressions.feature/.project
index da65e4d66af..574b3e3ea2c 100755
--- a/features/papyrus-main-features/org.eclipse.papyrus.infra.emf.expressions.feature/.project
+++ b/features/papyrus-main-features/org.eclipse.papyrus.infra.emf.expressions.feature/.project
@@ -4,14 +4,32 @@
<comment></comment>
<projects>
</projects>
- <buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.FeatureBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.FeatureNature</nature>
- </natures>
+ <buildSpec>
+ <buildCommand>
+ <name>org.eclipse.pde.FeatureBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.FeatureNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/features/papyrus-main-features/org.eclipse.papyrus.uml.expressions.feature/.project b/features/papyrus-main-features/org.eclipse.papyrus.uml.expressions.feature/.project
index cf311fdc267..d5758b022ad 100755
--- a/features/papyrus-main-features/org.eclipse.papyrus.uml.expressions.feature/.project
+++ b/features/papyrus-main-features/org.eclipse.papyrus.uml.expressions.feature/.project
@@ -4,14 +4,32 @@
<comment></comment>
<projects>
</projects>
- <buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.FeatureBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.FeatureNature</nature>
- </natures>
+ <buildSpec>
+ <buildCommand>
+ <name>org.eclipse.pde.FeatureBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.FeatureNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/features/papyrus-tests-features/org.eclipse.papyrus.tests.uml.internationalization.feature/feature.xml b/features/papyrus-tests-features/org.eclipse.papyrus.tests.uml.internationalization.feature/feature.xml
index 0f6f0351b76..221deb930d7 100644
--- a/features/papyrus-tests-features/org.eclipse.papyrus.tests.uml.internationalization.feature/feature.xml
+++ b/features/papyrus-tests-features/org.eclipse.papyrus.tests.uml.internationalization.feature/feature.xml
@@ -9,7 +9,7 @@
<description>
%description
- </dsecription>
+ </description>
<copyright>
%copyright
diff --git a/features/papyrus-toolsmiths-features/org.eclipse.papyrus.toolsmiths.feature/.project b/features/papyrus-toolsmiths-features/org.eclipse.papyrus.toolsmiths.feature/.project
index a4ca0287d45..c36efdca639 100644
--- a/features/papyrus-toolsmiths-features/org.eclipse.papyrus.toolsmiths.feature/.project
+++ b/features/papyrus-toolsmiths-features/org.eclipse.papyrus.toolsmiths.feature/.project
@@ -4,20 +4,38 @@
<comment></comment>
<projects>
</projects>
- <buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.FeatureBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.m2e.core.maven2Builder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.m2e.core.maven2Nature</nature>
- <nature>org.eclipse.pde.FeatureNature</nature>
- </natures>
+ <buildSpec>
+ <buildCommand>
+ <name>org.eclipse.pde.FeatureBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.m2e.core.maven2Builder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.dev.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.FeatureNature</nature>
+ <nature>org.eclipse.m2e.core.maven2Nature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/doc/org.eclipse.papyrus.infra.services.decoration.doc/.project b/plugins/doc/org.eclipse.papyrus.infra.services.decoration.doc/.project
index 7eb4aea8ab9..b63ddfb6a7f 100644
--- a/plugins/doc/org.eclipse.papyrus.infra.services.decoration.doc/.project
+++ b/plugins/doc/org.eclipse.papyrus.infra.services.decoration.doc/.project
@@ -5,30 +5,54 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.m2e.core.maven2Builder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.m2e.core.maven2Nature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.m2e.core.maven2Builder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.m2e.core.maven2Nature</nature>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
</natures>
</projectDescription>
diff --git a/plugins/doc/org.eclipse.papyrus.infra.types.doc/.project b/plugins/doc/org.eclipse.papyrus.infra.types.doc/.project
index f5be3ac3c92..f1074feb3d9 100644
--- a/plugins/doc/org.eclipse.papyrus.infra.types.doc/.project
+++ b/plugins/doc/org.eclipse.papyrus.infra.types.doc/.project
@@ -5,19 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.m2e.core.maven2Builder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.m2e.core.maven2Nature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
</natures>
</projectDescription>
diff --git a/plugins/editor/org.eclipse.papyrus.editor.perspectiveconfiguration/.project b/plugins/editor/org.eclipse.papyrus.editor.perspectiveconfiguration/.project
index 5772f26c161..c89ded0af31 100644
--- a/plugins/editor/org.eclipse.papyrus.editor.perspectiveconfiguration/.project
+++ b/plugins/editor/org.eclipse.papyrus.editor.perspectiveconfiguration/.project
@@ -38,7 +38,7 @@
</dictionary>
<dictionary>
<key>release.path</key>
- <value>org.eclipse.papyrus.releng.main.release/release.xml</value>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
</dictionary>
</arguments>
</buildCommand>
diff --git a/plugins/facet/editor/org.eclipse.papyrus.emf.facet.custom.doc/.project b/plugins/facet/editor/org.eclipse.papyrus.emf.facet.custom.doc/.project
index 2b1154b0449..c7ace5e19b1 100644
--- a/plugins/facet/editor/org.eclipse.papyrus.emf.facet.custom.doc/.project
+++ b/plugins/facet/editor/org.eclipse.papyrus.emf.facet.custom.doc/.project
@@ -15,6 +15,11 @@
<arguments>
</arguments>
</buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
<buildCommand>
<name>org.eclipse.oomph.version.VersionBuilder</name>
<arguments>
@@ -36,5 +41,6 @@
<natures>
<nature>org.eclipse.pde.PluginNature</nature>
<nature>org.eclipse.oomph.version.VersionNature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
</natures>
</projectDescription>
diff --git a/plugins/facet/editor/org.eclipse.papyrus.emf.facet.custom.doc/.settings/org.eclipse.core.resources.prefs b/plugins/facet/editor/org.eclipse.papyrus.emf.facet.custom.doc/.settings/org.eclipse.core.resources.prefs
new file mode 100755
index 00000000000..896a9a53a53
--- /dev/null
+++ b/plugins/facet/editor/org.eclipse.papyrus.emf.facet.custom.doc/.settings/org.eclipse.core.resources.prefs
@@ -0,0 +1,2 @@
+eclipse.preferences.version=1
+encoding/<project>=UTF-8 \ No newline at end of file
diff --git a/plugins/facet/editor/org.eclipse.papyrus.emf.facet.custom.doc/.settings/org.eclipse.core.runtime.prefs b/plugins/facet/editor/org.eclipse.papyrus.emf.facet.custom.doc/.settings/org.eclipse.core.runtime.prefs
new file mode 100755
index 00000000000..5a0ad22d2a7
--- /dev/null
+++ b/plugins/facet/editor/org.eclipse.papyrus.emf.facet.custom.doc/.settings/org.eclipse.core.runtime.prefs
@@ -0,0 +1,2 @@
+eclipse.preferences.version=1
+line.separator=\n
diff --git a/plugins/facet/editor/org.eclipse.papyrus.emf.facet.custom.doc/.settings/org.eclipse.pde.api.tools.prefs b/plugins/facet/editor/org.eclipse.papyrus.emf.facet.custom.doc/.settings/org.eclipse.pde.api.tools.prefs
new file mode 100755
index 00000000000..b2260f87129
--- /dev/null
+++ b/plugins/facet/editor/org.eclipse.papyrus.emf.facet.custom.doc/.settings/org.eclipse.pde.api.tools.prefs
@@ -0,0 +1,104 @@
+ANNOTATION_ELEMENT_TYPE_ADDED_FIELD=Error
+ANNOTATION_ELEMENT_TYPE_ADDED_METHOD_WITHOUT_DEFAULT_VALUE=Error
+ANNOTATION_ELEMENT_TYPE_CHANGED_TYPE_CONVERSION=Error
+ANNOTATION_ELEMENT_TYPE_REMOVED_FIELD=Error
+ANNOTATION_ELEMENT_TYPE_REMOVED_METHOD=Error
+ANNOTATION_ELEMENT_TYPE_REMOVED_TYPE_MEMBER=Error
+API_COMPONENT_ELEMENT_TYPE_REMOVED_API_TYPE=Error
+API_COMPONENT_ELEMENT_TYPE_REMOVED_REEXPORTED_API_TYPE=Warning
+API_COMPONENT_ELEMENT_TYPE_REMOVED_REEXPORTED_TYPE=Warning
+API_COMPONENT_ELEMENT_TYPE_REMOVED_TYPE=Error
+API_USE_SCAN_FIELD_SEVERITY=Error
+API_USE_SCAN_METHOD_SEVERITY=Error
+API_USE_SCAN_TYPE_SEVERITY=Error
+CLASS_ELEMENT_TYPE_ADDED_FIELD=Warning
+CLASS_ELEMENT_TYPE_ADDED_METHOD=Error
+CLASS_ELEMENT_TYPE_ADDED_RESTRICTIONS=Error
+CLASS_ELEMENT_TYPE_ADDED_TYPE_PARAMETER=Error
+CLASS_ELEMENT_TYPE_CHANGED_CONTRACTED_SUPERINTERFACES_SET=Error
+CLASS_ELEMENT_TYPE_CHANGED_DECREASE_ACCESS=Error
+CLASS_ELEMENT_TYPE_CHANGED_NON_ABSTRACT_TO_ABSTRACT=Error
+CLASS_ELEMENT_TYPE_CHANGED_NON_FINAL_TO_FINAL=Error
+CLASS_ELEMENT_TYPE_CHANGED_TYPE_CONVERSION=Error
+CLASS_ELEMENT_TYPE_REMOVED_CONSTRUCTOR=Error
+CLASS_ELEMENT_TYPE_REMOVED_FIELD=Error
+CLASS_ELEMENT_TYPE_REMOVED_METHOD=Error
+CLASS_ELEMENT_TYPE_REMOVED_SUPERCLASS=Error
+CLASS_ELEMENT_TYPE_REMOVED_TYPE_MEMBER=Error
+CLASS_ELEMENT_TYPE_REMOVED_TYPE_PARAMETER=Error
+CONSTRUCTOR_ELEMENT_TYPE_ADDED_TYPE_PARAMETER=Error
+CONSTRUCTOR_ELEMENT_TYPE_CHANGED_DECREASE_ACCESS=Error
+CONSTRUCTOR_ELEMENT_TYPE_CHANGED_VARARGS_TO_ARRAY=Error
+CONSTRUCTOR_ELEMENT_TYPE_REMOVED_TYPE_PARAMETER=Error
+ENUM_ELEMENT_TYPE_CHANGED_CONTRACTED_SUPERINTERFACES_SET=Error
+ENUM_ELEMENT_TYPE_CHANGED_TYPE_CONVERSION=Error
+ENUM_ELEMENT_TYPE_REMOVED_ENUM_CONSTANT=Error
+ENUM_ELEMENT_TYPE_REMOVED_FIELD=Error
+ENUM_ELEMENT_TYPE_REMOVED_METHOD=Error
+ENUM_ELEMENT_TYPE_REMOVED_TYPE_MEMBER=Error
+FIELD_ELEMENT_TYPE_ADDED_VALUE=Warning
+FIELD_ELEMENT_TYPE_CHANGED_DECREASE_ACCESS=Error
+FIELD_ELEMENT_TYPE_CHANGED_FINAL_TO_NON_FINAL_STATIC_CONSTANT=Error
+FIELD_ELEMENT_TYPE_CHANGED_NON_FINAL_TO_FINAL=Error
+FIELD_ELEMENT_TYPE_CHANGED_NON_STATIC_TO_STATIC=Error
+FIELD_ELEMENT_TYPE_CHANGED_STATIC_TO_NON_STATIC=Error
+FIELD_ELEMENT_TYPE_CHANGED_TYPE=Error
+FIELD_ELEMENT_TYPE_CHANGED_VALUE=Warning
+FIELD_ELEMENT_TYPE_REMOVED_TYPE_ARGUMENT=Error
+FIELD_ELEMENT_TYPE_REMOVED_VALUE=Error
+ILLEGAL_EXTEND=Warning
+ILLEGAL_IMPLEMENT=Warning
+ILLEGAL_INSTANTIATE=Warning
+ILLEGAL_OVERRIDE=Warning
+ILLEGAL_REFERENCE=Warning
+INTERFACE_ELEMENT_TYPE_ADDED_DEFAULT_METHOD=Warning
+INTERFACE_ELEMENT_TYPE_ADDED_FIELD=Ignore
+INTERFACE_ELEMENT_TYPE_ADDED_METHOD=Error
+INTERFACE_ELEMENT_TYPE_ADDED_RESTRICTIONS=Error
+INTERFACE_ELEMENT_TYPE_ADDED_SUPER_INTERFACE_WITH_METHODS=Error
+INTERFACE_ELEMENT_TYPE_ADDED_TYPE_PARAMETER=Error
+INTERFACE_ELEMENT_TYPE_CHANGED_CONTRACTED_SUPERINTERFACES_SET=Error
+INTERFACE_ELEMENT_TYPE_CHANGED_TYPE_CONVERSION=Error
+INTERFACE_ELEMENT_TYPE_REMOVED_FIELD=Error
+INTERFACE_ELEMENT_TYPE_REMOVED_METHOD=Error
+INTERFACE_ELEMENT_TYPE_REMOVED_TYPE_MEMBER=Error
+INTERFACE_ELEMENT_TYPE_REMOVED_TYPE_PARAMETER=Error
+INVALID_ANNOTATION=Ignore
+INVALID_JAVADOC_TAG=Ignore
+INVALID_REFERENCE_IN_SYSTEM_LIBRARIES=Ignore
+LEAK_EXTEND=Warning
+LEAK_FIELD_DECL=Warning
+LEAK_IMPLEMENT=Warning
+LEAK_METHOD_PARAM=Warning
+LEAK_METHOD_RETURN_TYPE=Warning
+METHOD_ELEMENT_TYPE_ADDED_RESTRICTIONS=Error
+METHOD_ELEMENT_TYPE_ADDED_TYPE_PARAMETER=Error
+METHOD_ELEMENT_TYPE_CHANGED_DECREASE_ACCESS=Error
+METHOD_ELEMENT_TYPE_CHANGED_NON_ABSTRACT_TO_ABSTRACT=Error
+METHOD_ELEMENT_TYPE_CHANGED_NON_FINAL_TO_FINAL=Error
+METHOD_ELEMENT_TYPE_CHANGED_NON_STATIC_TO_STATIC=Error
+METHOD_ELEMENT_TYPE_CHANGED_STATIC_TO_NON_STATIC=Error
+METHOD_ELEMENT_TYPE_CHANGED_VARARGS_TO_ARRAY=Error
+METHOD_ELEMENT_TYPE_REMOVED_ANNOTATION_DEFAULT_VALUE=Error
+METHOD_ELEMENT_TYPE_REMOVED_TYPE_PARAMETER=Error
+MISSING_EE_DESCRIPTIONS=Error
+TYPE_PARAMETER_ELEMENT_TYPE_ADDED_CLASS_BOUND=Error
+TYPE_PARAMETER_ELEMENT_TYPE_ADDED_INTERFACE_BOUND=Error
+TYPE_PARAMETER_ELEMENT_TYPE_CHANGED_CLASS_BOUND=Error
+TYPE_PARAMETER_ELEMENT_TYPE_CHANGED_INTERFACE_BOUND=Error
+TYPE_PARAMETER_ELEMENT_TYPE_REMOVED_CLASS_BOUND=Error
+TYPE_PARAMETER_ELEMENT_TYPE_REMOVED_INTERFACE_BOUND=Error
+UNUSED_PROBLEM_FILTERS=Warning
+automatically_removed_unused_problem_filters=Enabled
+changed_execution_env=Warning
+eclipse.preferences.version=1
+incompatible_api_component_version=Warning
+incompatible_api_component_version_include_major_without_breaking_change=Disabled
+incompatible_api_component_version_include_minor_without_api_change=Disabled
+incompatible_api_component_version_report_major_without_breaking_change=Error
+incompatible_api_component_version_report_minor_without_api_change=Error
+invalid_since_tag_version=Error
+malformed_since_tag=Error
+missing_since_tag=Error
+report_api_breakage_when_major_version_incremented=Disabled
+report_resolution_errors_api_component=Warning
diff --git a/plugins/facet/editor/org.eclipse.papyrus.emf.facet.custom.metamodel.editor.doc/.project b/plugins/facet/editor/org.eclipse.papyrus.emf.facet.custom.metamodel.editor.doc/.project
index 1d93957f772..3a67e7068f8 100644
--- a/plugins/facet/editor/org.eclipse.papyrus.emf.facet.custom.metamodel.editor.doc/.project
+++ b/plugins/facet/editor/org.eclipse.papyrus.emf.facet.custom.metamodel.editor.doc/.project
@@ -15,6 +15,11 @@
<arguments>
</arguments>
</buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
<buildCommand>
<name>org.eclipse.oomph.version.VersionBuilder</name>
<arguments>
@@ -36,5 +41,6 @@
<natures>
<nature>org.eclipse.pde.PluginNature</nature>
<nature>org.eclipse.oomph.version.VersionNature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
</natures>
</projectDescription>
diff --git a/plugins/facet/editor/org.eclipse.papyrus.emf.facet.custom.metamodel.editor.doc/.settings/org.eclipse.pde.api.tools.prefs b/plugins/facet/editor/org.eclipse.papyrus.emf.facet.custom.metamodel.editor.doc/.settings/org.eclipse.pde.api.tools.prefs
new file mode 100755
index 00000000000..b2260f87129
--- /dev/null
+++ b/plugins/facet/editor/org.eclipse.papyrus.emf.facet.custom.metamodel.editor.doc/.settings/org.eclipse.pde.api.tools.prefs
@@ -0,0 +1,104 @@
+ANNOTATION_ELEMENT_TYPE_ADDED_FIELD=Error
+ANNOTATION_ELEMENT_TYPE_ADDED_METHOD_WITHOUT_DEFAULT_VALUE=Error
+ANNOTATION_ELEMENT_TYPE_CHANGED_TYPE_CONVERSION=Error
+ANNOTATION_ELEMENT_TYPE_REMOVED_FIELD=Error
+ANNOTATION_ELEMENT_TYPE_REMOVED_METHOD=Error
+ANNOTATION_ELEMENT_TYPE_REMOVED_TYPE_MEMBER=Error
+API_COMPONENT_ELEMENT_TYPE_REMOVED_API_TYPE=Error
+API_COMPONENT_ELEMENT_TYPE_REMOVED_REEXPORTED_API_TYPE=Warning
+API_COMPONENT_ELEMENT_TYPE_REMOVED_REEXPORTED_TYPE=Warning
+API_COMPONENT_ELEMENT_TYPE_REMOVED_TYPE=Error
+API_USE_SCAN_FIELD_SEVERITY=Error
+API_USE_SCAN_METHOD_SEVERITY=Error
+API_USE_SCAN_TYPE_SEVERITY=Error
+CLASS_ELEMENT_TYPE_ADDED_FIELD=Warning
+CLASS_ELEMENT_TYPE_ADDED_METHOD=Error
+CLASS_ELEMENT_TYPE_ADDED_RESTRICTIONS=Error
+CLASS_ELEMENT_TYPE_ADDED_TYPE_PARAMETER=Error
+CLASS_ELEMENT_TYPE_CHANGED_CONTRACTED_SUPERINTERFACES_SET=Error
+CLASS_ELEMENT_TYPE_CHANGED_DECREASE_ACCESS=Error
+CLASS_ELEMENT_TYPE_CHANGED_NON_ABSTRACT_TO_ABSTRACT=Error
+CLASS_ELEMENT_TYPE_CHANGED_NON_FINAL_TO_FINAL=Error
+CLASS_ELEMENT_TYPE_CHANGED_TYPE_CONVERSION=Error
+CLASS_ELEMENT_TYPE_REMOVED_CONSTRUCTOR=Error
+CLASS_ELEMENT_TYPE_REMOVED_FIELD=Error
+CLASS_ELEMENT_TYPE_REMOVED_METHOD=Error
+CLASS_ELEMENT_TYPE_REMOVED_SUPERCLASS=Error
+CLASS_ELEMENT_TYPE_REMOVED_TYPE_MEMBER=Error
+CLASS_ELEMENT_TYPE_REMOVED_TYPE_PARAMETER=Error
+CONSTRUCTOR_ELEMENT_TYPE_ADDED_TYPE_PARAMETER=Error
+CONSTRUCTOR_ELEMENT_TYPE_CHANGED_DECREASE_ACCESS=Error
+CONSTRUCTOR_ELEMENT_TYPE_CHANGED_VARARGS_TO_ARRAY=Error
+CONSTRUCTOR_ELEMENT_TYPE_REMOVED_TYPE_PARAMETER=Error
+ENUM_ELEMENT_TYPE_CHANGED_CONTRACTED_SUPERINTERFACES_SET=Error
+ENUM_ELEMENT_TYPE_CHANGED_TYPE_CONVERSION=Error
+ENUM_ELEMENT_TYPE_REMOVED_ENUM_CONSTANT=Error
+ENUM_ELEMENT_TYPE_REMOVED_FIELD=Error
+ENUM_ELEMENT_TYPE_REMOVED_METHOD=Error
+ENUM_ELEMENT_TYPE_REMOVED_TYPE_MEMBER=Error
+FIELD_ELEMENT_TYPE_ADDED_VALUE=Warning
+FIELD_ELEMENT_TYPE_CHANGED_DECREASE_ACCESS=Error
+FIELD_ELEMENT_TYPE_CHANGED_FINAL_TO_NON_FINAL_STATIC_CONSTANT=Error
+FIELD_ELEMENT_TYPE_CHANGED_NON_FINAL_TO_FINAL=Error
+FIELD_ELEMENT_TYPE_CHANGED_NON_STATIC_TO_STATIC=Error
+FIELD_ELEMENT_TYPE_CHANGED_STATIC_TO_NON_STATIC=Error
+FIELD_ELEMENT_TYPE_CHANGED_TYPE=Error
+FIELD_ELEMENT_TYPE_CHANGED_VALUE=Warning
+FIELD_ELEMENT_TYPE_REMOVED_TYPE_ARGUMENT=Error
+FIELD_ELEMENT_TYPE_REMOVED_VALUE=Error
+ILLEGAL_EXTEND=Warning
+ILLEGAL_IMPLEMENT=Warning
+ILLEGAL_INSTANTIATE=Warning
+ILLEGAL_OVERRIDE=Warning
+ILLEGAL_REFERENCE=Warning
+INTERFACE_ELEMENT_TYPE_ADDED_DEFAULT_METHOD=Warning
+INTERFACE_ELEMENT_TYPE_ADDED_FIELD=Ignore
+INTERFACE_ELEMENT_TYPE_ADDED_METHOD=Error
+INTERFACE_ELEMENT_TYPE_ADDED_RESTRICTIONS=Error
+INTERFACE_ELEMENT_TYPE_ADDED_SUPER_INTERFACE_WITH_METHODS=Error
+INTERFACE_ELEMENT_TYPE_ADDED_TYPE_PARAMETER=Error
+INTERFACE_ELEMENT_TYPE_CHANGED_CONTRACTED_SUPERINTERFACES_SET=Error
+INTERFACE_ELEMENT_TYPE_CHANGED_TYPE_CONVERSION=Error
+INTERFACE_ELEMENT_TYPE_REMOVED_FIELD=Error
+INTERFACE_ELEMENT_TYPE_REMOVED_METHOD=Error
+INTERFACE_ELEMENT_TYPE_REMOVED_TYPE_MEMBER=Error
+INTERFACE_ELEMENT_TYPE_REMOVED_TYPE_PARAMETER=Error
+INVALID_ANNOTATION=Ignore
+INVALID_JAVADOC_TAG=Ignore
+INVALID_REFERENCE_IN_SYSTEM_LIBRARIES=Ignore
+LEAK_EXTEND=Warning
+LEAK_FIELD_DECL=Warning
+LEAK_IMPLEMENT=Warning
+LEAK_METHOD_PARAM=Warning
+LEAK_METHOD_RETURN_TYPE=Warning
+METHOD_ELEMENT_TYPE_ADDED_RESTRICTIONS=Error
+METHOD_ELEMENT_TYPE_ADDED_TYPE_PARAMETER=Error
+METHOD_ELEMENT_TYPE_CHANGED_DECREASE_ACCESS=Error
+METHOD_ELEMENT_TYPE_CHANGED_NON_ABSTRACT_TO_ABSTRACT=Error
+METHOD_ELEMENT_TYPE_CHANGED_NON_FINAL_TO_FINAL=Error
+METHOD_ELEMENT_TYPE_CHANGED_NON_STATIC_TO_STATIC=Error
+METHOD_ELEMENT_TYPE_CHANGED_STATIC_TO_NON_STATIC=Error
+METHOD_ELEMENT_TYPE_CHANGED_VARARGS_TO_ARRAY=Error
+METHOD_ELEMENT_TYPE_REMOVED_ANNOTATION_DEFAULT_VALUE=Error
+METHOD_ELEMENT_TYPE_REMOVED_TYPE_PARAMETER=Error
+MISSING_EE_DESCRIPTIONS=Error
+TYPE_PARAMETER_ELEMENT_TYPE_ADDED_CLASS_BOUND=Error
+TYPE_PARAMETER_ELEMENT_TYPE_ADDED_INTERFACE_BOUND=Error
+TYPE_PARAMETER_ELEMENT_TYPE_CHANGED_CLASS_BOUND=Error
+TYPE_PARAMETER_ELEMENT_TYPE_CHANGED_INTERFACE_BOUND=Error
+TYPE_PARAMETER_ELEMENT_TYPE_REMOVED_CLASS_BOUND=Error
+TYPE_PARAMETER_ELEMENT_TYPE_REMOVED_INTERFACE_BOUND=Error
+UNUSED_PROBLEM_FILTERS=Warning
+automatically_removed_unused_problem_filters=Enabled
+changed_execution_env=Warning
+eclipse.preferences.version=1
+incompatible_api_component_version=Warning
+incompatible_api_component_version_include_major_without_breaking_change=Disabled
+incompatible_api_component_version_include_minor_without_api_change=Disabled
+incompatible_api_component_version_report_major_without_breaking_change=Error
+incompatible_api_component_version_report_minor_without_api_change=Error
+invalid_since_tag_version=Error
+malformed_since_tag=Error
+missing_since_tag=Error
+report_api_breakage_when_major_version_incremented=Disabled
+report_resolution_errors_api_component=Warning
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.aggregate.doc/.project b/plugins/facet/org.eclipse.papyrus.emf.facet.aggregate.doc/.project
index 3517e712d79..2d08d47e406 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.aggregate.doc/.project
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.aggregate.doc/.project
@@ -15,6 +15,11 @@
<arguments>
</arguments>
</buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
<buildCommand>
<name>org.eclipse.buckminster.ant.AntBuilder</name>
<triggers>full,</triggers>
@@ -58,5 +63,6 @@
<natures>
<nature>org.eclipse.pde.PluginNature</nature>
<nature>org.eclipse.oomph.version.VersionNature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
</natures>
</projectDescription>
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.aggregate.doc/.settings/org.eclipse.pde.api.tools.prefs b/plugins/facet/org.eclipse.papyrus.emf.facet.aggregate.doc/.settings/org.eclipse.pde.api.tools.prefs
new file mode 100755
index 00000000000..b2260f87129
--- /dev/null
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.aggregate.doc/.settings/org.eclipse.pde.api.tools.prefs
@@ -0,0 +1,104 @@
+ANNOTATION_ELEMENT_TYPE_ADDED_FIELD=Error
+ANNOTATION_ELEMENT_TYPE_ADDED_METHOD_WITHOUT_DEFAULT_VALUE=Error
+ANNOTATION_ELEMENT_TYPE_CHANGED_TYPE_CONVERSION=Error
+ANNOTATION_ELEMENT_TYPE_REMOVED_FIELD=Error
+ANNOTATION_ELEMENT_TYPE_REMOVED_METHOD=Error
+ANNOTATION_ELEMENT_TYPE_REMOVED_TYPE_MEMBER=Error
+API_COMPONENT_ELEMENT_TYPE_REMOVED_API_TYPE=Error
+API_COMPONENT_ELEMENT_TYPE_REMOVED_REEXPORTED_API_TYPE=Warning
+API_COMPONENT_ELEMENT_TYPE_REMOVED_REEXPORTED_TYPE=Warning
+API_COMPONENT_ELEMENT_TYPE_REMOVED_TYPE=Error
+API_USE_SCAN_FIELD_SEVERITY=Error
+API_USE_SCAN_METHOD_SEVERITY=Error
+API_USE_SCAN_TYPE_SEVERITY=Error
+CLASS_ELEMENT_TYPE_ADDED_FIELD=Warning
+CLASS_ELEMENT_TYPE_ADDED_METHOD=Error
+CLASS_ELEMENT_TYPE_ADDED_RESTRICTIONS=Error
+CLASS_ELEMENT_TYPE_ADDED_TYPE_PARAMETER=Error
+CLASS_ELEMENT_TYPE_CHANGED_CONTRACTED_SUPERINTERFACES_SET=Error
+CLASS_ELEMENT_TYPE_CHANGED_DECREASE_ACCESS=Error
+CLASS_ELEMENT_TYPE_CHANGED_NON_ABSTRACT_TO_ABSTRACT=Error
+CLASS_ELEMENT_TYPE_CHANGED_NON_FINAL_TO_FINAL=Error
+CLASS_ELEMENT_TYPE_CHANGED_TYPE_CONVERSION=Error
+CLASS_ELEMENT_TYPE_REMOVED_CONSTRUCTOR=Error
+CLASS_ELEMENT_TYPE_REMOVED_FIELD=Error
+CLASS_ELEMENT_TYPE_REMOVED_METHOD=Error
+CLASS_ELEMENT_TYPE_REMOVED_SUPERCLASS=Error
+CLASS_ELEMENT_TYPE_REMOVED_TYPE_MEMBER=Error
+CLASS_ELEMENT_TYPE_REMOVED_TYPE_PARAMETER=Error
+CONSTRUCTOR_ELEMENT_TYPE_ADDED_TYPE_PARAMETER=Error
+CONSTRUCTOR_ELEMENT_TYPE_CHANGED_DECREASE_ACCESS=Error
+CONSTRUCTOR_ELEMENT_TYPE_CHANGED_VARARGS_TO_ARRAY=Error
+CONSTRUCTOR_ELEMENT_TYPE_REMOVED_TYPE_PARAMETER=Error
+ENUM_ELEMENT_TYPE_CHANGED_CONTRACTED_SUPERINTERFACES_SET=Error
+ENUM_ELEMENT_TYPE_CHANGED_TYPE_CONVERSION=Error
+ENUM_ELEMENT_TYPE_REMOVED_ENUM_CONSTANT=Error
+ENUM_ELEMENT_TYPE_REMOVED_FIELD=Error
+ENUM_ELEMENT_TYPE_REMOVED_METHOD=Error
+ENUM_ELEMENT_TYPE_REMOVED_TYPE_MEMBER=Error
+FIELD_ELEMENT_TYPE_ADDED_VALUE=Warning
+FIELD_ELEMENT_TYPE_CHANGED_DECREASE_ACCESS=Error
+FIELD_ELEMENT_TYPE_CHANGED_FINAL_TO_NON_FINAL_STATIC_CONSTANT=Error
+FIELD_ELEMENT_TYPE_CHANGED_NON_FINAL_TO_FINAL=Error
+FIELD_ELEMENT_TYPE_CHANGED_NON_STATIC_TO_STATIC=Error
+FIELD_ELEMENT_TYPE_CHANGED_STATIC_TO_NON_STATIC=Error
+FIELD_ELEMENT_TYPE_CHANGED_TYPE=Error
+FIELD_ELEMENT_TYPE_CHANGED_VALUE=Warning
+FIELD_ELEMENT_TYPE_REMOVED_TYPE_ARGUMENT=Error
+FIELD_ELEMENT_TYPE_REMOVED_VALUE=Error
+ILLEGAL_EXTEND=Warning
+ILLEGAL_IMPLEMENT=Warning
+ILLEGAL_INSTANTIATE=Warning
+ILLEGAL_OVERRIDE=Warning
+ILLEGAL_REFERENCE=Warning
+INTERFACE_ELEMENT_TYPE_ADDED_DEFAULT_METHOD=Warning
+INTERFACE_ELEMENT_TYPE_ADDED_FIELD=Ignore
+INTERFACE_ELEMENT_TYPE_ADDED_METHOD=Error
+INTERFACE_ELEMENT_TYPE_ADDED_RESTRICTIONS=Error
+INTERFACE_ELEMENT_TYPE_ADDED_SUPER_INTERFACE_WITH_METHODS=Error
+INTERFACE_ELEMENT_TYPE_ADDED_TYPE_PARAMETER=Error
+INTERFACE_ELEMENT_TYPE_CHANGED_CONTRACTED_SUPERINTERFACES_SET=Error
+INTERFACE_ELEMENT_TYPE_CHANGED_TYPE_CONVERSION=Error
+INTERFACE_ELEMENT_TYPE_REMOVED_FIELD=Error
+INTERFACE_ELEMENT_TYPE_REMOVED_METHOD=Error
+INTERFACE_ELEMENT_TYPE_REMOVED_TYPE_MEMBER=Error
+INTERFACE_ELEMENT_TYPE_REMOVED_TYPE_PARAMETER=Error
+INVALID_ANNOTATION=Ignore
+INVALID_JAVADOC_TAG=Ignore
+INVALID_REFERENCE_IN_SYSTEM_LIBRARIES=Ignore
+LEAK_EXTEND=Warning
+LEAK_FIELD_DECL=Warning
+LEAK_IMPLEMENT=Warning
+LEAK_METHOD_PARAM=Warning
+LEAK_METHOD_RETURN_TYPE=Warning
+METHOD_ELEMENT_TYPE_ADDED_RESTRICTIONS=Error
+METHOD_ELEMENT_TYPE_ADDED_TYPE_PARAMETER=Error
+METHOD_ELEMENT_TYPE_CHANGED_DECREASE_ACCESS=Error
+METHOD_ELEMENT_TYPE_CHANGED_NON_ABSTRACT_TO_ABSTRACT=Error
+METHOD_ELEMENT_TYPE_CHANGED_NON_FINAL_TO_FINAL=Error
+METHOD_ELEMENT_TYPE_CHANGED_NON_STATIC_TO_STATIC=Error
+METHOD_ELEMENT_TYPE_CHANGED_STATIC_TO_NON_STATIC=Error
+METHOD_ELEMENT_TYPE_CHANGED_VARARGS_TO_ARRAY=Error
+METHOD_ELEMENT_TYPE_REMOVED_ANNOTATION_DEFAULT_VALUE=Error
+METHOD_ELEMENT_TYPE_REMOVED_TYPE_PARAMETER=Error
+MISSING_EE_DESCRIPTIONS=Error
+TYPE_PARAMETER_ELEMENT_TYPE_ADDED_CLASS_BOUND=Error
+TYPE_PARAMETER_ELEMENT_TYPE_ADDED_INTERFACE_BOUND=Error
+TYPE_PARAMETER_ELEMENT_TYPE_CHANGED_CLASS_BOUND=Error
+TYPE_PARAMETER_ELEMENT_TYPE_CHANGED_INTERFACE_BOUND=Error
+TYPE_PARAMETER_ELEMENT_TYPE_REMOVED_CLASS_BOUND=Error
+TYPE_PARAMETER_ELEMENT_TYPE_REMOVED_INTERFACE_BOUND=Error
+UNUSED_PROBLEM_FILTERS=Warning
+automatically_removed_unused_problem_filters=Enabled
+changed_execution_env=Warning
+eclipse.preferences.version=1
+incompatible_api_component_version=Warning
+incompatible_api_component_version_include_major_without_breaking_change=Disabled
+incompatible_api_component_version_include_minor_without_api_change=Disabled
+incompatible_api_component_version_report_major_without_breaking_change=Error
+incompatible_api_component_version_report_minor_without_api_change=Error
+invalid_since_tag_version=Error
+malformed_since_tag=Error
+missing_since_tag=Error
+report_api_breakage_when_major_version_incremented=Disabled
+report_resolution_errors_api_component=Warning
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.doc/.project b/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.doc/.project
index 35afe3cf8c3..3b33723b6e9 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.doc/.project
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.doc/.project
@@ -15,6 +15,11 @@
<arguments>
</arguments>
</buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
<buildCommand>
<name>org.eclipse.buckminster.ant.AntBuilder</name>
<triggers>full,</triggers>
@@ -58,5 +63,6 @@
<natures>
<nature>org.eclipse.pde.PluginNature</nature>
<nature>org.eclipse.oomph.version.VersionNature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
</natures>
</projectDescription>
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.doc/.settings/org.eclipse.pde.api.tools.prefs b/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.doc/.settings/org.eclipse.pde.api.tools.prefs
new file mode 100755
index 00000000000..b2260f87129
--- /dev/null
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.doc/.settings/org.eclipse.pde.api.tools.prefs
@@ -0,0 +1,104 @@
+ANNOTATION_ELEMENT_TYPE_ADDED_FIELD=Error
+ANNOTATION_ELEMENT_TYPE_ADDED_METHOD_WITHOUT_DEFAULT_VALUE=Error
+ANNOTATION_ELEMENT_TYPE_CHANGED_TYPE_CONVERSION=Error
+ANNOTATION_ELEMENT_TYPE_REMOVED_FIELD=Error
+ANNOTATION_ELEMENT_TYPE_REMOVED_METHOD=Error
+ANNOTATION_ELEMENT_TYPE_REMOVED_TYPE_MEMBER=Error
+API_COMPONENT_ELEMENT_TYPE_REMOVED_API_TYPE=Error
+API_COMPONENT_ELEMENT_TYPE_REMOVED_REEXPORTED_API_TYPE=Warning
+API_COMPONENT_ELEMENT_TYPE_REMOVED_REEXPORTED_TYPE=Warning
+API_COMPONENT_ELEMENT_TYPE_REMOVED_TYPE=Error
+API_USE_SCAN_FIELD_SEVERITY=Error
+API_USE_SCAN_METHOD_SEVERITY=Error
+API_USE_SCAN_TYPE_SEVERITY=Error
+CLASS_ELEMENT_TYPE_ADDED_FIELD=Warning
+CLASS_ELEMENT_TYPE_ADDED_METHOD=Error
+CLASS_ELEMENT_TYPE_ADDED_RESTRICTIONS=Error
+CLASS_ELEMENT_TYPE_ADDED_TYPE_PARAMETER=Error
+CLASS_ELEMENT_TYPE_CHANGED_CONTRACTED_SUPERINTERFACES_SET=Error
+CLASS_ELEMENT_TYPE_CHANGED_DECREASE_ACCESS=Error
+CLASS_ELEMENT_TYPE_CHANGED_NON_ABSTRACT_TO_ABSTRACT=Error
+CLASS_ELEMENT_TYPE_CHANGED_NON_FINAL_TO_FINAL=Error
+CLASS_ELEMENT_TYPE_CHANGED_TYPE_CONVERSION=Error
+CLASS_ELEMENT_TYPE_REMOVED_CONSTRUCTOR=Error
+CLASS_ELEMENT_TYPE_REMOVED_FIELD=Error
+CLASS_ELEMENT_TYPE_REMOVED_METHOD=Error
+CLASS_ELEMENT_TYPE_REMOVED_SUPERCLASS=Error
+CLASS_ELEMENT_TYPE_REMOVED_TYPE_MEMBER=Error
+CLASS_ELEMENT_TYPE_REMOVED_TYPE_PARAMETER=Error
+CONSTRUCTOR_ELEMENT_TYPE_ADDED_TYPE_PARAMETER=Error
+CONSTRUCTOR_ELEMENT_TYPE_CHANGED_DECREASE_ACCESS=Error
+CONSTRUCTOR_ELEMENT_TYPE_CHANGED_VARARGS_TO_ARRAY=Error
+CONSTRUCTOR_ELEMENT_TYPE_REMOVED_TYPE_PARAMETER=Error
+ENUM_ELEMENT_TYPE_CHANGED_CONTRACTED_SUPERINTERFACES_SET=Error
+ENUM_ELEMENT_TYPE_CHANGED_TYPE_CONVERSION=Error
+ENUM_ELEMENT_TYPE_REMOVED_ENUM_CONSTANT=Error
+ENUM_ELEMENT_TYPE_REMOVED_FIELD=Error
+ENUM_ELEMENT_TYPE_REMOVED_METHOD=Error
+ENUM_ELEMENT_TYPE_REMOVED_TYPE_MEMBER=Error
+FIELD_ELEMENT_TYPE_ADDED_VALUE=Warning
+FIELD_ELEMENT_TYPE_CHANGED_DECREASE_ACCESS=Error
+FIELD_ELEMENT_TYPE_CHANGED_FINAL_TO_NON_FINAL_STATIC_CONSTANT=Error
+FIELD_ELEMENT_TYPE_CHANGED_NON_FINAL_TO_FINAL=Error
+FIELD_ELEMENT_TYPE_CHANGED_NON_STATIC_TO_STATIC=Error
+FIELD_ELEMENT_TYPE_CHANGED_STATIC_TO_NON_STATIC=Error
+FIELD_ELEMENT_TYPE_CHANGED_TYPE=Error
+FIELD_ELEMENT_TYPE_CHANGED_VALUE=Warning
+FIELD_ELEMENT_TYPE_REMOVED_TYPE_ARGUMENT=Error
+FIELD_ELEMENT_TYPE_REMOVED_VALUE=Error
+ILLEGAL_EXTEND=Warning
+ILLEGAL_IMPLEMENT=Warning
+ILLEGAL_INSTANTIATE=Warning
+ILLEGAL_OVERRIDE=Warning
+ILLEGAL_REFERENCE=Warning
+INTERFACE_ELEMENT_TYPE_ADDED_DEFAULT_METHOD=Warning
+INTERFACE_ELEMENT_TYPE_ADDED_FIELD=Ignore
+INTERFACE_ELEMENT_TYPE_ADDED_METHOD=Error
+INTERFACE_ELEMENT_TYPE_ADDED_RESTRICTIONS=Error
+INTERFACE_ELEMENT_TYPE_ADDED_SUPER_INTERFACE_WITH_METHODS=Error
+INTERFACE_ELEMENT_TYPE_ADDED_TYPE_PARAMETER=Error
+INTERFACE_ELEMENT_TYPE_CHANGED_CONTRACTED_SUPERINTERFACES_SET=Error
+INTERFACE_ELEMENT_TYPE_CHANGED_TYPE_CONVERSION=Error
+INTERFACE_ELEMENT_TYPE_REMOVED_FIELD=Error
+INTERFACE_ELEMENT_TYPE_REMOVED_METHOD=Error
+INTERFACE_ELEMENT_TYPE_REMOVED_TYPE_MEMBER=Error
+INTERFACE_ELEMENT_TYPE_REMOVED_TYPE_PARAMETER=Error
+INVALID_ANNOTATION=Ignore
+INVALID_JAVADOC_TAG=Ignore
+INVALID_REFERENCE_IN_SYSTEM_LIBRARIES=Ignore
+LEAK_EXTEND=Warning
+LEAK_FIELD_DECL=Warning
+LEAK_IMPLEMENT=Warning
+LEAK_METHOD_PARAM=Warning
+LEAK_METHOD_RETURN_TYPE=Warning
+METHOD_ELEMENT_TYPE_ADDED_RESTRICTIONS=Error
+METHOD_ELEMENT_TYPE_ADDED_TYPE_PARAMETER=Error
+METHOD_ELEMENT_TYPE_CHANGED_DECREASE_ACCESS=Error
+METHOD_ELEMENT_TYPE_CHANGED_NON_ABSTRACT_TO_ABSTRACT=Error
+METHOD_ELEMENT_TYPE_CHANGED_NON_FINAL_TO_FINAL=Error
+METHOD_ELEMENT_TYPE_CHANGED_NON_STATIC_TO_STATIC=Error
+METHOD_ELEMENT_TYPE_CHANGED_STATIC_TO_NON_STATIC=Error
+METHOD_ELEMENT_TYPE_CHANGED_VARARGS_TO_ARRAY=Error
+METHOD_ELEMENT_TYPE_REMOVED_ANNOTATION_DEFAULT_VALUE=Error
+METHOD_ELEMENT_TYPE_REMOVED_TYPE_PARAMETER=Error
+MISSING_EE_DESCRIPTIONS=Error
+TYPE_PARAMETER_ELEMENT_TYPE_ADDED_CLASS_BOUND=Error
+TYPE_PARAMETER_ELEMENT_TYPE_ADDED_INTERFACE_BOUND=Error
+TYPE_PARAMETER_ELEMENT_TYPE_CHANGED_CLASS_BOUND=Error
+TYPE_PARAMETER_ELEMENT_TYPE_CHANGED_INTERFACE_BOUND=Error
+TYPE_PARAMETER_ELEMENT_TYPE_REMOVED_CLASS_BOUND=Error
+TYPE_PARAMETER_ELEMENT_TYPE_REMOVED_INTERFACE_BOUND=Error
+UNUSED_PROBLEM_FILTERS=Warning
+automatically_removed_unused_problem_filters=Enabled
+changed_execution_env=Warning
+eclipse.preferences.version=1
+incompatible_api_component_version=Warning
+incompatible_api_component_version_include_major_without_breaking_change=Disabled
+incompatible_api_component_version_include_minor_without_api_change=Disabled
+incompatible_api_component_version_report_major_without_breaking_change=Error
+incompatible_api_component_version_report_minor_without_api_change=Error
+invalid_since_tag_version=Error
+malformed_since_tag=Error
+missing_since_tag=Error
+report_api_breakage_when_major_version_incremented=Disabled
+report_resolution_errors_api_component=Warning
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.doc/.project b/plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.doc/.project
index 203f2567368..6b31dda850e 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.doc/.project
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.doc/.project
@@ -15,6 +15,11 @@
<arguments>
</arguments>
</buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
<buildCommand>
<name>org.eclipse.buckminster.ant.AntBuilder</name>
<triggers>full,</triggers>
@@ -58,5 +63,6 @@
<natures>
<nature>org.eclipse.pde.PluginNature</nature>
<nature>org.eclipse.oomph.version.VersionNature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
</natures>
</projectDescription>
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.doc/.settings/org.eclipse.pde.api.tools.prefs b/plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.doc/.settings/org.eclipse.pde.api.tools.prefs
new file mode 100755
index 00000000000..b2260f87129
--- /dev/null
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.doc/.settings/org.eclipse.pde.api.tools.prefs
@@ -0,0 +1,104 @@
+ANNOTATION_ELEMENT_TYPE_ADDED_FIELD=Error
+ANNOTATION_ELEMENT_TYPE_ADDED_METHOD_WITHOUT_DEFAULT_VALUE=Error
+ANNOTATION_ELEMENT_TYPE_CHANGED_TYPE_CONVERSION=Error
+ANNOTATION_ELEMENT_TYPE_REMOVED_FIELD=Error
+ANNOTATION_ELEMENT_TYPE_REMOVED_METHOD=Error
+ANNOTATION_ELEMENT_TYPE_REMOVED_TYPE_MEMBER=Error
+API_COMPONENT_ELEMENT_TYPE_REMOVED_API_TYPE=Error
+API_COMPONENT_ELEMENT_TYPE_REMOVED_REEXPORTED_API_TYPE=Warning
+API_COMPONENT_ELEMENT_TYPE_REMOVED_REEXPORTED_TYPE=Warning
+API_COMPONENT_ELEMENT_TYPE_REMOVED_TYPE=Error
+API_USE_SCAN_FIELD_SEVERITY=Error
+API_USE_SCAN_METHOD_SEVERITY=Error
+API_USE_SCAN_TYPE_SEVERITY=Error
+CLASS_ELEMENT_TYPE_ADDED_FIELD=Warning
+CLASS_ELEMENT_TYPE_ADDED_METHOD=Error
+CLASS_ELEMENT_TYPE_ADDED_RESTRICTIONS=Error
+CLASS_ELEMENT_TYPE_ADDED_TYPE_PARAMETER=Error
+CLASS_ELEMENT_TYPE_CHANGED_CONTRACTED_SUPERINTERFACES_SET=Error
+CLASS_ELEMENT_TYPE_CHANGED_DECREASE_ACCESS=Error
+CLASS_ELEMENT_TYPE_CHANGED_NON_ABSTRACT_TO_ABSTRACT=Error
+CLASS_ELEMENT_TYPE_CHANGED_NON_FINAL_TO_FINAL=Error
+CLASS_ELEMENT_TYPE_CHANGED_TYPE_CONVERSION=Error
+CLASS_ELEMENT_TYPE_REMOVED_CONSTRUCTOR=Error
+CLASS_ELEMENT_TYPE_REMOVED_FIELD=Error
+CLASS_ELEMENT_TYPE_REMOVED_METHOD=Error
+CLASS_ELEMENT_TYPE_REMOVED_SUPERCLASS=Error
+CLASS_ELEMENT_TYPE_REMOVED_TYPE_MEMBER=Error
+CLASS_ELEMENT_TYPE_REMOVED_TYPE_PARAMETER=Error
+CONSTRUCTOR_ELEMENT_TYPE_ADDED_TYPE_PARAMETER=Error
+CONSTRUCTOR_ELEMENT_TYPE_CHANGED_DECREASE_ACCESS=Error
+CONSTRUCTOR_ELEMENT_TYPE_CHANGED_VARARGS_TO_ARRAY=Error
+CONSTRUCTOR_ELEMENT_TYPE_REMOVED_TYPE_PARAMETER=Error
+ENUM_ELEMENT_TYPE_CHANGED_CONTRACTED_SUPERINTERFACES_SET=Error
+ENUM_ELEMENT_TYPE_CHANGED_TYPE_CONVERSION=Error
+ENUM_ELEMENT_TYPE_REMOVED_ENUM_CONSTANT=Error
+ENUM_ELEMENT_TYPE_REMOVED_FIELD=Error
+ENUM_ELEMENT_TYPE_REMOVED_METHOD=Error
+ENUM_ELEMENT_TYPE_REMOVED_TYPE_MEMBER=Error
+FIELD_ELEMENT_TYPE_ADDED_VALUE=Warning
+FIELD_ELEMENT_TYPE_CHANGED_DECREASE_ACCESS=Error
+FIELD_ELEMENT_TYPE_CHANGED_FINAL_TO_NON_FINAL_STATIC_CONSTANT=Error
+FIELD_ELEMENT_TYPE_CHANGED_NON_FINAL_TO_FINAL=Error
+FIELD_ELEMENT_TYPE_CHANGED_NON_STATIC_TO_STATIC=Error
+FIELD_ELEMENT_TYPE_CHANGED_STATIC_TO_NON_STATIC=Error
+FIELD_ELEMENT_TYPE_CHANGED_TYPE=Error
+FIELD_ELEMENT_TYPE_CHANGED_VALUE=Warning
+FIELD_ELEMENT_TYPE_REMOVED_TYPE_ARGUMENT=Error
+FIELD_ELEMENT_TYPE_REMOVED_VALUE=Error
+ILLEGAL_EXTEND=Warning
+ILLEGAL_IMPLEMENT=Warning
+ILLEGAL_INSTANTIATE=Warning
+ILLEGAL_OVERRIDE=Warning
+ILLEGAL_REFERENCE=Warning
+INTERFACE_ELEMENT_TYPE_ADDED_DEFAULT_METHOD=Warning
+INTERFACE_ELEMENT_TYPE_ADDED_FIELD=Ignore
+INTERFACE_ELEMENT_TYPE_ADDED_METHOD=Error
+INTERFACE_ELEMENT_TYPE_ADDED_RESTRICTIONS=Error
+INTERFACE_ELEMENT_TYPE_ADDED_SUPER_INTERFACE_WITH_METHODS=Error
+INTERFACE_ELEMENT_TYPE_ADDED_TYPE_PARAMETER=Error
+INTERFACE_ELEMENT_TYPE_CHANGED_CONTRACTED_SUPERINTERFACES_SET=Error
+INTERFACE_ELEMENT_TYPE_CHANGED_TYPE_CONVERSION=Error
+INTERFACE_ELEMENT_TYPE_REMOVED_FIELD=Error
+INTERFACE_ELEMENT_TYPE_REMOVED_METHOD=Error
+INTERFACE_ELEMENT_TYPE_REMOVED_TYPE_MEMBER=Error
+INTERFACE_ELEMENT_TYPE_REMOVED_TYPE_PARAMETER=Error
+INVALID_ANNOTATION=Ignore
+INVALID_JAVADOC_TAG=Ignore
+INVALID_REFERENCE_IN_SYSTEM_LIBRARIES=Ignore
+LEAK_EXTEND=Warning
+LEAK_FIELD_DECL=Warning
+LEAK_IMPLEMENT=Warning
+LEAK_METHOD_PARAM=Warning
+LEAK_METHOD_RETURN_TYPE=Warning
+METHOD_ELEMENT_TYPE_ADDED_RESTRICTIONS=Error
+METHOD_ELEMENT_TYPE_ADDED_TYPE_PARAMETER=Error
+METHOD_ELEMENT_TYPE_CHANGED_DECREASE_ACCESS=Error
+METHOD_ELEMENT_TYPE_CHANGED_NON_ABSTRACT_TO_ABSTRACT=Error
+METHOD_ELEMENT_TYPE_CHANGED_NON_FINAL_TO_FINAL=Error
+METHOD_ELEMENT_TYPE_CHANGED_NON_STATIC_TO_STATIC=Error
+METHOD_ELEMENT_TYPE_CHANGED_STATIC_TO_NON_STATIC=Error
+METHOD_ELEMENT_TYPE_CHANGED_VARARGS_TO_ARRAY=Error
+METHOD_ELEMENT_TYPE_REMOVED_ANNOTATION_DEFAULT_VALUE=Error
+METHOD_ELEMENT_TYPE_REMOVED_TYPE_PARAMETER=Error
+MISSING_EE_DESCRIPTIONS=Error
+TYPE_PARAMETER_ELEMENT_TYPE_ADDED_CLASS_BOUND=Error
+TYPE_PARAMETER_ELEMENT_TYPE_ADDED_INTERFACE_BOUND=Error
+TYPE_PARAMETER_ELEMENT_TYPE_CHANGED_CLASS_BOUND=Error
+TYPE_PARAMETER_ELEMENT_TYPE_CHANGED_INTERFACE_BOUND=Error
+TYPE_PARAMETER_ELEMENT_TYPE_REMOVED_CLASS_BOUND=Error
+TYPE_PARAMETER_ELEMENT_TYPE_REMOVED_INTERFACE_BOUND=Error
+UNUSED_PROBLEM_FILTERS=Warning
+automatically_removed_unused_problem_filters=Enabled
+changed_execution_env=Warning
+eclipse.preferences.version=1
+incompatible_api_component_version=Warning
+incompatible_api_component_version_include_major_without_breaking_change=Disabled
+incompatible_api_component_version_include_minor_without_api_change=Disabled
+incompatible_api_component_version_report_major_without_breaking_change=Error
+incompatible_api_component_version_report_minor_without_api_change=Error
+invalid_since_tag_version=Error
+malformed_since_tag=Error
+missing_since_tag=Error
+report_api_breakage_when_major_version_incremented=Disabled
+report_resolution_errors_api_component=Warning
diff --git a/plugins/infra/architecture/org.eclipse.papyrus.infra.architecture.representation.edit/.project b/plugins/infra/architecture/org.eclipse.papyrus.infra.architecture.representation.edit/.project
index 2436615ff35..2536592254c 100644
--- a/plugins/infra/architecture/org.eclipse.papyrus.infra.architecture.representation.edit/.project
+++ b/plugins/infra/architecture/org.eclipse.papyrus.infra.architecture.representation.edit/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/infra/architecture/org.eclipse.papyrus.infra.architecture.representation/.project b/plugins/infra/architecture/org.eclipse.papyrus.infra.architecture.representation/.project
index 67326de36d1..f38dbdc608a 100644
--- a/plugins/infra/architecture/org.eclipse.papyrus.infra.architecture.representation/.project
+++ b/plugins/infra/architecture/org.eclipse.papyrus.infra.architecture.representation/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/infra/architecture/org.eclipse.papyrus.infra.architecture/.project b/plugins/infra/architecture/org.eclipse.papyrus.infra.architecture/.project
index bb109660c46..32e5054858f 100644
--- a/plugins/infra/architecture/org.eclipse.papyrus.infra.architecture/.project
+++ b/plugins/infra/architecture/org.eclipse.papyrus.infra.architecture/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/infra/core/org.eclipse.papyrus.infra.core.architecture.edit/.project b/plugins/infra/core/org.eclipse.papyrus.infra.core.architecture.edit/.project
index 8e1fe6846eb..47385fb4768 100644
--- a/plugins/infra/core/org.eclipse.papyrus.infra.core.architecture.edit/.project
+++ b/plugins/infra/core/org.eclipse.papyrus.infra.core.architecture.edit/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/infra/core/org.eclipse.papyrus.infra.core.architecture/.project b/plugins/infra/core/org.eclipse.papyrus.infra.core.architecture/.project
index 6da6d34199a..5479b951a2a 100644
--- a/plugins/infra/core/org.eclipse.papyrus.infra.core.architecture/.project
+++ b/plugins/infra/core/org.eclipse.papyrus.infra.core.architecture/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/infra/emf/expressions/org.eclipse.papyrus.infra.emf.expressions.edit/.project b/plugins/infra/emf/expressions/org.eclipse.papyrus.infra.emf.expressions.edit/.project
index 4cf808134de..ff1cf4cc4cb 100755
--- a/plugins/infra/emf/expressions/org.eclipse.papyrus.infra.emf.expressions.edit/.project
+++ b/plugins/infra/emf/expressions/org.eclipse.papyrus.infra.emf.expressions.edit/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/infra/emf/expressions/org.eclipse.papyrus.infra.emf.expressions.editor/.project b/plugins/infra/emf/expressions/org.eclipse.papyrus.infra.emf.expressions.editor/.project
index a29174eb762..61864772c81 100755
--- a/plugins/infra/emf/expressions/org.eclipse.papyrus.infra.emf.expressions.editor/.project
+++ b/plugins/infra/emf/expressions/org.eclipse.papyrus.infra.emf.expressions.editor/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/infra/emf/expressions/org.eclipse.papyrus.infra.emf.expressions/.project b/plugins/infra/emf/expressions/org.eclipse.papyrus.infra.emf.expressions/.project
index d6b8f6e8af7..3f544b15499 100755
--- a/plugins/infra/emf/expressions/org.eclipse.papyrus.infra.emf.expressions/.project
+++ b/plugins/infra/emf/expressions/org.eclipse.papyrus.infra.emf.expressions/.project
@@ -5,36 +5,54 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.xtext.ui.shared.xtextBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.xtext.ui.shared.xtextNature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.xtext.ui.shared.xtextBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ <nature>org.eclipse.xtext.ui.shared.xtextNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.css.model.edit/.project b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.css.model.edit/.project
index 0644efdbd13..76d2981942f 100755
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.css.model.edit/.project
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.css.model.edit/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.representation.edit/.project b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.representation.edit/.project
index 0b7a2f03939..b0995be3461 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.representation.edit/.project
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.representation.edit/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.representation/.project b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.representation/.project
index 6730b698d51..7195a2bb7a6 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.representation/.project
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.representation/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.style.edit/.project b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.style.edit/.project
index 7bf49e022f9..c838f23a0b5 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.style.edit/.project
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.style.edit/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.style/.project b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.style/.project
index 88ed3069a6f..4dea55fe4fc 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.style/.project
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.style/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.tooling.runtime/.project b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.tooling.runtime/.project
index 7bf44ff6a66..b0d2a9fc585 100755
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.tooling.runtime/.project
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.tooling.runtime/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/infra/gmfdiag/paletteconfiguration/org.eclipse.papyrus.infra.gmfdiag.paletteconfiguration.editor/.project b/plugins/infra/gmfdiag/paletteconfiguration/org.eclipse.papyrus.infra.gmfdiag.paletteconfiguration.editor/.project
index 7cd6896baa1..f39c66402bc 100644
--- a/plugins/infra/gmfdiag/paletteconfiguration/org.eclipse.papyrus.infra.gmfdiag.paletteconfiguration.editor/.project
+++ b/plugins/infra/gmfdiag/paletteconfiguration/org.eclipse.papyrus.infra.gmfdiag.paletteconfiguration.editor/.project
@@ -6,30 +6,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.representation.edit/.project b/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.representation.edit/.project
index 7720e709160..bd50d1cf3ea 100644
--- a/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.representation.edit/.project
+++ b/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.representation.edit/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.representation/.project b/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.representation/.project
index ba0d253f3a4..e35727e088a 100644
--- a/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.representation/.project
+++ b/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.representation/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/infra/newchild/org.eclipse.papyrus.infra.newchild.editor/.project b/plugins/infra/newchild/org.eclipse.papyrus.infra.newchild.editor/.project
index 2d6920ec3f1..24d8b40fac5 100644
--- a/plugins/infra/newchild/org.eclipse.papyrus.infra.newchild.editor/.project
+++ b/plugins/infra/newchild/org.eclipse.papyrus.infra.newchild.editor/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.jdt.core.javanature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.architecture/.project b/plugins/infra/services/org.eclipse.papyrus.infra.services.architecture/.project
index af6c6ce2239..ac113b9c4b8 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.architecture/.project
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.architecture/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/infra/types/org.eclipse.papyrus.infra.types.edit/.project b/plugins/infra/types/org.eclipse.papyrus.infra.types.edit/.project
index d2f62195935..10f946cc44c 100644
--- a/plugins/infra/types/org.eclipse.papyrus.infra.types.edit/.project
+++ b/plugins/infra/types/org.eclipse.papyrus.infra.types.edit/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/infra/ui/org.eclipse.papyrus.infra.newchild.ui/.project b/plugins/infra/ui/org.eclipse.papyrus.infra.newchild.ui/.project
index 9a7a8c768dc..4eb8e327357 100644
--- a/plugins/infra/ui/org.eclipse.papyrus.infra.newchild.ui/.project
+++ b/plugins/infra/ui/org.eclipse.papyrus.infra.newchild.ui/.project
@@ -5,31 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.oomph.version.VersionNature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/infra/ui/org.eclipse.papyrus.infra.ui.architecture/.project b/plugins/infra/ui/org.eclipse.papyrus.infra.ui.architecture/.project
index cab13cbedd4..ca1e1fb4d39 100644
--- a/plugins/infra/ui/org.eclipse.papyrus.infra.ui.architecture/.project
+++ b/plugins/infra/ui/org.eclipse.papyrus.infra.ui.architecture/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/infra/ui/org.eclipse.papyrus.infra.ui.fonts/.project b/plugins/infra/ui/org.eclipse.papyrus.infra.ui.fonts/.project
index 88094ca1b1d..c94b7adba60 100644
--- a/plugins/infra/ui/org.eclipse.papyrus.infra.ui.fonts/.project
+++ b/plugins/infra/ui/org.eclipse.papyrus.infra.ui.fonts/.project
@@ -5,24 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.assistants.generator.ui/.project b/plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.assistants.generator.ui/.project
index 402fb715dfb..6015d83a999 100644
--- a/plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.assistants.generator.ui/.project
+++ b/plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.assistants.generator.ui/.project
@@ -33,7 +33,7 @@
</dictionary>
<dictionary>
<key>release.path</key>
- <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ <value>/org.eclipse.papyrus.releng.dev.release/release.xml</value>
</dictionary>
</arguments>
</buildCommand>
diff --git a/plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.assistants.generator/.project b/plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.assistants.generator/.project
index 89f4c610bf8..f9c53cc048c 100644
--- a/plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.assistants.generator/.project
+++ b/plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.assistants.generator/.project
@@ -38,7 +38,7 @@
</dictionary>
<dictionary>
<key>release.path</key>
- <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ <value>/org.eclipse.papyrus.releng.dev.release/release.xml</value>
</dictionary>
</arguments>
</buildCommand>
diff --git a/plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.newchildmenu.generator.ui/.project b/plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.newchildmenu.generator.ui/.project
index d0480d0dd27..e2998fb8f47 100644
--- a/plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.newchildmenu.generator.ui/.project
+++ b/plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.newchildmenu.generator.ui/.project
@@ -15,11 +15,11 @@
<arguments>
</arguments>
</buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
<buildCommand>
<name>org.eclipse.oomph.version.VersionBuilder</name>
<arguments>
@@ -33,7 +33,7 @@
</dictionary>
<dictionary>
<key>release.path</key>
- <value>org.eclipse.papyrus.releng.main.release/release.xml</value>
+ <value>/org.eclipse.papyrus.releng.dev.release/release.xml</value>
</dictionary>
</arguments>
</buildCommand>
diff --git a/plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.newchildmenu.generator/.project b/plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.newchildmenu.generator/.project
index 9f0116a015b..b1a58ac9c98 100644
--- a/plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.newchildmenu.generator/.project
+++ b/plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.newchildmenu.generator/.project
@@ -21,11 +21,6 @@
</arguments>
</buildCommand>
<buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
<name>org.eclipse.oomph.version.VersionBuilder</name>
<arguments>
<dictionary>
@@ -38,7 +33,7 @@
</dictionary>
<dictionary>
<key>release.path</key>
- <value>org.eclipse.papyrus.releng.main.release/release.xml</value>
+ <value>/org.eclipse.papyrus.releng.dev.release/release.xml</value>
</dictionary>
</arguments>
</buildCommand>
diff --git a/plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.types.generator.ui/.project b/plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.types.generator.ui/.project
index e06fb1b0528..16eebfc9ba2 100644
--- a/plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.types.generator.ui/.project
+++ b/plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.types.generator.ui/.project
@@ -15,11 +15,16 @@
<arguments>
</arguments>
</buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
<buildCommand>
<name>org.eclipse.oomph.version.VersionBuilder</name>
<arguments>
@@ -33,15 +38,10 @@
</dictionary>
<dictionary>
<key>release.path</key>
- <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ <value>/org.eclipse.papyrus.releng.dev.release/release.xml</value>
</dictionary>
</arguments>
</buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
</buildSpec>
<natures>
<nature>org.eclipse.papyrus.emf.facet.common.ProjectNature</nature>
diff --git a/plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.types.generator/.project b/plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.types.generator/.project
index c8b763bd773..1fc619a311e 100644
--- a/plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.types.generator/.project
+++ b/plugins/toolsmiths/assistants/org.eclipse.papyrus.uml.profile.types.generator/.project
@@ -21,11 +21,6 @@
</arguments>
</buildCommand>
<buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
<name>org.eclipse.oomph.version.VersionBuilder</name>
<arguments>
<dictionary>
@@ -38,7 +33,7 @@
</dictionary>
<dictionary>
<key>release.path</key>
- <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ <value>/org.eclipse.papyrus.releng.dev.release/release.xml</value>
</dictionary>
</arguments>
</buildCommand>
diff --git a/plugins/toolsmiths/org.eclipse.papyrus.codegen/.project b/plugins/toolsmiths/org.eclipse.papyrus.codegen/.project
index d627a772b68..01d73b77604 100644
--- a/plugins/toolsmiths/org.eclipse.papyrus.codegen/.project
+++ b/plugins/toolsmiths/org.eclipse.papyrus.codegen/.project
@@ -15,6 +15,11 @@
<arguments>
</arguments>
</buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
<buildCommand>
<name>org.openarchitectureware.base.oawBuilder</name>
<arguments>
diff --git a/plugins/toolsmiths/org.eclipse.papyrus.customization.nattableconfiguration/.project b/plugins/toolsmiths/org.eclipse.papyrus.customization.nattableconfiguration/.project
index 33cf5be93ed..be7bceddb41 100644
--- a/plugins/toolsmiths/org.eclipse.papyrus.customization.nattableconfiguration/.project
+++ b/plugins/toolsmiths/org.eclipse.papyrus.customization.nattableconfiguration/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.dev.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/toolsmiths/org.eclipse.papyrus.dev.assistants.codegen/.project b/plugins/toolsmiths/org.eclipse.papyrus.dev.assistants.codegen/.project
index 0716f8aa568..62dddf4cd61 100644
--- a/plugins/toolsmiths/org.eclipse.papyrus.dev.assistants.codegen/.project
+++ b/plugins/toolsmiths/org.eclipse.papyrus.dev.assistants.codegen/.project
@@ -20,6 +20,16 @@
<arguments>
</arguments>
</buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
<buildCommand>
<name>org.eclipse.oomph.version.VersionBuilder</name>
<arguments>
@@ -37,11 +47,6 @@
</dictionary>
</arguments>
</buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
</buildSpec>
<natures>
<nature>org.eclipse.pde.PluginNature</nature>
diff --git a/plugins/toolsmiths/org.eclipse.papyrus.dev.pluginexplorer/.project b/plugins/toolsmiths/org.eclipse.papyrus.dev.pluginexplorer/.project
index b0ea7f36421..587da2338cd 100755
--- a/plugins/toolsmiths/org.eclipse.papyrus.dev.pluginexplorer/.project
+++ b/plugins/toolsmiths/org.eclipse.papyrus.dev.pluginexplorer/.project
@@ -15,11 +15,11 @@
<arguments>
</arguments>
</buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
<buildCommand>
<name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
<arguments>
@@ -38,7 +38,7 @@
</dictionary>
<dictionary>
<key>release.path</key>
- <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ <value>/org.eclipse.papyrus.releng.dev.release/release.xml</value>
</dictionary>
</arguments>
</buildCommand>
diff --git a/plugins/toolsmiths/org.eclipse.papyrus.dev.project.management/.project b/plugins/toolsmiths/org.eclipse.papyrus.dev.project.management/.project
index aeac3483e1f..68555e95fd6 100644
--- a/plugins/toolsmiths/org.eclipse.papyrus.dev.project.management/.project
+++ b/plugins/toolsmiths/org.eclipse.papyrus.dev.project.management/.project
@@ -15,6 +15,11 @@
<arguments>
</arguments>
</buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
<buildCommand>
<name>org.eclipse.oomph.version.VersionBuilder</name>
<arguments>
diff --git a/plugins/toolsmiths/org.eclipse.papyrus.dev.types/.project b/plugins/toolsmiths/org.eclipse.papyrus.dev.types/.project
index 14cb793e53b..4995074ed70 100644
--- a/plugins/toolsmiths/org.eclipse.papyrus.dev.types/.project
+++ b/plugins/toolsmiths/org.eclipse.papyrus.dev.types/.project
@@ -20,6 +20,16 @@
<arguments>
</arguments>
</buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
<buildCommand>
<name>org.eclipse.oomph.version.VersionBuilder</name>
<arguments>
@@ -37,11 +47,6 @@
</dictionary>
</arguments>
</buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
</buildSpec>
<natures>
<nature>org.eclipse.pde.PluginNature</nature>
diff --git a/plugins/toolsmiths/org.eclipse.papyrus.dev.ui/.project b/plugins/toolsmiths/org.eclipse.papyrus.dev.ui/.project
index 25dceb259dd..893c8adea55 100644
--- a/plugins/toolsmiths/org.eclipse.papyrus.dev.ui/.project
+++ b/plugins/toolsmiths/org.eclipse.papyrus.dev.ui/.project
@@ -5,24 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.dev.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/toolsmiths/org.eclipse.papyrus.dev.view.services.edit.request/.project b/plugins/toolsmiths/org.eclipse.papyrus.dev.view.services.edit.request/.project
index 02f08f54531..8159f442a71 100644
--- a/plugins/toolsmiths/org.eclipse.papyrus.dev.view.services.edit.request/.project
+++ b/plugins/toolsmiths/org.eclipse.papyrus.dev.view.services.edit.request/.project
@@ -15,6 +15,11 @@
<arguments>
</arguments>
</buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
<buildCommand>
<name>org.eclipse.oomph.version.VersionBuilder</name>
<arguments>
diff --git a/plugins/toolsmiths/org.eclipse.papyrus.gmf.editpartview/.project b/plugins/toolsmiths/org.eclipse.papyrus.gmf.editpartview/.project
index 665a7936fb9..7a0ead32646 100644
--- a/plugins/toolsmiths/org.eclipse.papyrus.gmf.editpartview/.project
+++ b/plugins/toolsmiths/org.eclipse.papyrus.gmf.editpartview/.project
@@ -15,6 +15,11 @@
<arguments>
</arguments>
</buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
<buildCommand>
<name>org.eclipse.oomph.version.VersionBuilder</name>
<arguments>
diff --git a/plugins/toolsmiths/org.eclipse.papyrus.gmf.editpoliciesstates/.project b/plugins/toolsmiths/org.eclipse.papyrus.gmf.editpoliciesstates/.project
index e659a21c41f..2202ce8b474 100644
--- a/plugins/toolsmiths/org.eclipse.papyrus.gmf.editpoliciesstates/.project
+++ b/plugins/toolsmiths/org.eclipse.papyrus.gmf.editpoliciesstates/.project
@@ -15,6 +15,11 @@
<arguments>
</arguments>
</buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
<buildCommand>
<name>org.eclipse.oomph.version.VersionBuilder</name>
<arguments>
diff --git a/plugins/toolsmiths/org.eclipse.papyrus.gmf.figureview/.project b/plugins/toolsmiths/org.eclipse.papyrus.gmf.figureview/.project
index 4a5a5901304..23975dc493a 100644
--- a/plugins/toolsmiths/org.eclipse.papyrus.gmf.figureview/.project
+++ b/plugins/toolsmiths/org.eclipse.papyrus.gmf.figureview/.project
@@ -15,6 +15,11 @@
<arguments>
</arguments>
</buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
<buildCommand>
<name>org.eclipse.oomph.version.VersionBuilder</name>
<arguments>
diff --git a/plugins/toolsmiths/org.eclipse.papyrus.gmfgenextension/.project b/plugins/toolsmiths/org.eclipse.papyrus.gmfgenextension/.project
index cd19c4b2ade..66017c63787 100644
--- a/plugins/toolsmiths/org.eclipse.papyrus.gmfgenextension/.project
+++ b/plugins/toolsmiths/org.eclipse.papyrus.gmfgenextension/.project
@@ -15,6 +15,11 @@
<arguments>
</arguments>
</buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
<buildCommand>
<name>org.eclipse.oomph.version.VersionBuilder</name>
<arguments>
diff --git a/plugins/toolsmiths/org.eclipse.papyrus.infra.gmfdiag.css.debug/.project b/plugins/toolsmiths/org.eclipse.papyrus.infra.gmfdiag.css.debug/.project
index 6d0a2d6afca..e0915920a6c 100644
--- a/plugins/toolsmiths/org.eclipse.papyrus.infra.gmfdiag.css.debug/.project
+++ b/plugins/toolsmiths/org.eclipse.papyrus.infra.gmfdiag.css.debug/.project
@@ -15,6 +15,11 @@
<arguments>
</arguments>
</buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
<buildCommand>
<name>org.eclipse.oomph.version.VersionBuilder</name>
<arguments>
diff --git a/plugins/toolsmiths/org.eclipse.papyrus.releng.dev.release/release.digest b/plugins/toolsmiths/org.eclipse.papyrus.releng.dev.release/release.digest
index f355a343298..7fe45a2d4be 100755
--- a/plugins/toolsmiths/org.eclipse.papyrus.releng.dev.release/release.digest
+++ b/plugins/toolsmiths/org.eclipse.papyrus.releng.dev.release/release.digest
Binary files differ
diff --git a/plugins/toolsmiths/org.eclipse.papyrus.releng.dev.release/release.xml b/plugins/toolsmiths/org.eclipse.papyrus.releng.dev.release/release.xml
index 199ad3467bf..b111e7d0de0 100755
--- a/plugins/toolsmiths/org.eclipse.papyrus.releng.dev.release/release.xml
+++ b/plugins/toolsmiths/org.eclipse.papyrus.releng.dev.release/release.xml
@@ -25,29 +25,60 @@
<feature name="org.eclipse.license" version="2.0.0" license="true"/>
<plugin name="org.eclipse.papyrus.junit.framework" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.junit.utils" version="2.2.0"/>
- <plugin name="org.eclipse.papyrus.bundles.tests" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.bundles.tests" version="1.3.0"/>
</feature>
<feature name="org.eclipse.papyrus.releng.feature" version="1.0.0">
<feature name="org.eclipse.license" version="2.0.0" license="true"/>
<plugin name="org.eclipse.papyrus.releng.tools" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.dev.project.management" version="1.3.0"/>
- <plugin name="org.eclipse.cbi.p2repo.aggregator" version="1.0.100"/>
- <plugin name="org.eclipse.cbi.p2repo.aggregator.legacy" version="1.0.0"/>
- <plugin name="org.eclipse.cbi.p2repo.util" version="1.0.0"/>
- <plugin name="org.eclipse.cbi.p2repo.cli" version="1.0.0"/>
- <plugin name="org.eclipse.cbi.p2repo.p2" version="1.0.0"/>
+ <plugin name="org.eclipse.cbi.p2repo.aggregator" version="1.0.200"/>
+ <plugin name="org.eclipse.cbi.p2repo.aggregator.legacy" version="1.0.200"/>
+ <plugin name="org.eclipse.cbi.p2repo.util" version="1.0.200"/>
+ <plugin name="org.eclipse.cbi.p2repo.cli" version="1.0.200"/>
+ <plugin name="org.eclipse.cbi.p2repo.p2" version="1.0.200"/>
+ </feature>
+ <feature name="org.eclipse.papyrus.toolsmiths.feature" version="1.2.0">
+ <feature name="org.eclipse.license" version="2.0.0" license="true"/>
+ <feature name="org.eclipse.papyrus.uml.m2m.qvto.tests.tools.feature" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.customization.nattableconfiguration" version="2.0.100"/>
+ <plugin name="org.eclipse.papyrus.toolsmiths.palette" version="3.0.100"/>
+ <plugin name="org.eclipse.papyrus.infra.gmfdiag.paletteconfiguration.editor" version="3.1.1"/>
+ <plugin name="org.eclipse.papyrus.views.properties.toolsmiths" version="2.0.2"/>
+ <plugin name="org.eclipse.papyrus.uml.properties.generation" version="2.1.0"/>
+ <plugin name="org.eclipse.papyrus.infra.gmfdiag.expansion.edit" version="2.1.0"/>
+ <plugin name="org.eclipse.papyrus.infra.gmfdiag.expansion.editor" version="2.1.0"/>
+ <plugin name="org.eclipse.papyrus.infra.emf.types.ui.properties" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.toolsmiths.expressions" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.types.ui.properties" version="3.1.100"/>
+ <plugin name="org.eclipse.papyrus.toolsmiths.profilemigration" version="0.7.200"/>
+ <plugin name="org.eclipse.papyrus.toolsmiths.profilemigration.ui" version="0.8.0"/>
+ <plugin name="org.eclipse.papyrus.toolsmiths" version="1.2.0"/>
</feature>
<feature name="org.eclipse.papyrus.uml.m2m.qvto.tests.tools.feature" version="1.0.0">
<feature name="org.eclipse.license" version="2.0.0" license="true"/>
<plugin name="org.eclipse.papyrus.uml.m2m.qvto.tests.tools" version="1.0.0"/>
</feature>
- <plugin name="org.eclipse.cbi.p2repo.aggregator" version="1.0.100"/>
- <plugin name="org.eclipse.cbi.p2repo.aggregator.legacy" version="1.0.0"/>
- <plugin name="org.eclipse.cbi.p2repo.cli" version="1.0.0"/>
- <plugin name="org.eclipse.cbi.p2repo.p2" version="1.0.0"/>
- <plugin name="org.eclipse.cbi.p2repo.util" version="1.0.0"/>
- <plugin name="org.eclipse.papyrus.bundles.tests" version="1.2.0"/>
+ <feature name="org.eclipse.papyrus.user.examples.feature" version="0.0.1">
+ <feature name="org.eclipse.license" version="2.0.0" license="true"/>
+ <plugin name="org.eclipse.papyrus.example.core.lifecycleevents" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.example.core.sashwindows.fulleditor" version="1.1.0"/>
+ <plugin name="org.eclipse.papyrus.example.core.sashwindows.simpleeditor" version="1.1.0"/>
+ <plugin name="org.eclipse.papyrus.outline.emftree" version="1.1.0"/>
+ <plugin name="org.eclipse.papyrus.infra.gmfdiag.connectionpoint.preferences" version="1.1.0"/>
+ <plugin name="org.eclipse.papyrus.example.text.instance" version="1.1.0"/>
+ <plugin name="org.eclipse.papyrus.example.uml.comment.editor.newresource" version="1.1.0"/>
+ <plugin name="org.eclipse.papyrus.example.uml.comment.editor.sharedresource" version="1.1.0"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.emftree" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.examples.user.qvto" version="1.0.0"/>
+ </feature>
+ <plugin name="org.eclipse.cbi.p2repo.aggregator" version="1.0.200"/>
+ <plugin name="org.eclipse.cbi.p2repo.aggregator.legacy" version="1.0.200"/>
+ <plugin name="org.eclipse.cbi.p2repo.cli" version="1.0.200"/>
+ <plugin name="org.eclipse.cbi.p2repo.p2" version="1.0.200"/>
+ <plugin name="org.eclipse.cbi.p2repo.util" version="1.0.200"/>
+ <plugin name="org.eclipse.papyrus.bundles.tests" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.codegen" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.customization.nattableconfiguration" version="2.0.100"/>
<plugin name="org.eclipse.papyrus.def" version="1.3.100"/>
<plugin name="org.eclipse.papyrus.dev.assistants.codegen" version="1.2.100"/>
<plugin name="org.eclipse.papyrus.dev.pluginexplorer" version="1.2.0"/>
@@ -55,16 +86,44 @@
<plugin name="org.eclipse.papyrus.dev.types" version="3.0.100"/>
<plugin name="org.eclipse.papyrus.dev.ui" version="0.0.1"/>
<plugin name="org.eclipse.papyrus.dev.view.services.edit.request" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.example.core.lifecycleevents" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.example.core.sashwindows.fulleditor" version="1.1.0"/>
+ <plugin name="org.eclipse.papyrus.example.core.sashwindows.simpleeditor" version="1.1.0"/>
+ <plugin name="org.eclipse.papyrus.example.text.instance" version="1.1.0"/>
+ <plugin name="org.eclipse.papyrus.example.uml.comment.editor.newresource" version="1.1.0"/>
+ <plugin name="org.eclipse.papyrus.example.uml.comment.editor.sharedresource" version="1.1.0"/>
+ <plugin name="org.eclipse.papyrus.examples.user.qvto" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.gmf.editpartview" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.gmf.editpoliciesstates" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.gmf.figureview" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.gmfgenextension" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.emf.commandstack" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.infra.emf.types.ui.properties" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.gmfdiag.connectionpoint.preferences" version="1.1.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.css.debug" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.infra.gmfdiag.expansion.edit" version="2.1.0"/>
+ <plugin name="org.eclipse.papyrus.infra.gmfdiag.expansion.editor" version="2.1.0"/>
+ <plugin name="org.eclipse.papyrus.infra.gmfdiag.paletteconfiguration.editor" version="3.1.1"/>
<plugin name="org.eclipse.papyrus.junit.framework" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.junit.utils" version="2.2.0"/>
<plugin name="org.eclipse.papyrus.mwe2.utils" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.outline.emftree" version="1.1.0"/>
<plugin name="org.eclipse.papyrus.releng.dev.release" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.releng.tools" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.toolsmiths" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.toolsmiths.expressions" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.toolsmiths.palette" version="3.0.100"/>
+ <plugin name="org.eclipse.papyrus.toolsmiths.profilemigration" version="0.7.200"/>
+ <plugin name="org.eclipse.papyrus.toolsmiths.profilemigration.ui" version="0.8.0"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.emftree" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.m2m.qvto.tests.tools" version="1.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.profile.assistants.generator" version="4.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.profile.assistants.generator.ui" version="1.2.100"/>
+ <plugin name="org.eclipse.papyrus.uml.profile.newchildmenu.generator" version="1.2.100"/>
+ <plugin name="org.eclipse.papyrus.uml.profile.newchildmenu.generator.ui" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.uml.profile.types.generator" version="2.2.0"/>
+ <plugin name="org.eclipse.papyrus.uml.profile.types.generator.ui" version="1.3.0"/>
+ <plugin name="org.eclipse.papyrus.uml.properties.generation" version="2.1.0"/>
+ <plugin name="org.eclipse.papyrus.uml.types.ui.properties" version="3.1.100"/>
+ <plugin name="org.eclipse.papyrus.views.properties.toolsmiths" version="2.0.2"/>
</release>
diff --git a/plugins/toolsmiths/org.eclipse.papyrus.releng.main.release/release.digest b/plugins/toolsmiths/org.eclipse.papyrus.releng.main.release/release.digest
index d1fc8a88f98..396a57c27c9 100755
--- a/plugins/toolsmiths/org.eclipse.papyrus.releng.main.release/release.digest
+++ b/plugins/toolsmiths/org.eclipse.papyrus.releng.main.release/release.digest
Binary files differ
diff --git a/plugins/toolsmiths/org.eclipse.papyrus.releng.main.release/release.xml b/plugins/toolsmiths/org.eclipse.papyrus.releng.main.release/release.xml
index 01e50373a53..ebce76c3ffb 100755
--- a/plugins/toolsmiths/org.eclipse.papyrus.releng.main.release/release.xml
+++ b/plugins/toolsmiths/org.eclipse.papyrus.releng.main.release/release.xml
@@ -47,7 +47,7 @@
<plugin name="org.eclipse.papyrus.emf.facet.common.sdk.core" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.common.ui" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.custom.core" version="3.0.0"/>
- <plugin name="org.eclipse.papyrus.emf.facet.custom.metamodel" version="1.3.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.custom.metamodel" version="1.4.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.custom.metamodel.edit" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.custom.metamodel.editor" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.custom.sdk.core" version="1.2.0"/>
@@ -58,13 +58,13 @@
<plugin name="org.eclipse.papyrus.emf.facet.efacet.core" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.efacet.edit" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.efacet.editor" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.emf.facet.efacet.metamodel" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.efacet.metamodel" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.efacet.metamodel.edit" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.efacet.sdk.ui" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.efacet.ui" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.query.java" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.query.java.core" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.emf.facet.query.java.metamodel" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.query.java.metamodel" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.query.java.sdk.ui" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.query.ocl.core" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.query.ocl.metamodel" version="1.2.0"/>
@@ -98,7 +98,7 @@
<plugin name="org.eclipse.papyrus.infra.core.architecture" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.core.architecture.edit" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.core.log" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.core.sasheditor" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.core.sasheditor" version="2.1.0"/>
<plugin name="org.eclipse.papyrus.infra.core.sasheditor.di" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.core.sashwindows.di" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.tools" version="3.0.0"/>
@@ -134,7 +134,7 @@
<feature name="org.eclipse.papyrus.infra.viewpoints.feature" version="3.0.0"/>
<feature name="org.eclipse.papyrus.infra.architecture.feature" version="1.0.0"/>
<feature name="org.eclipse.papyrus.infra.emf.expressions.feature" version="1.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.onefile" version="2.1.0"/>
+ <plugin name="org.eclipse.papyrus.infra.onefile" version="2.2.0"/>
<plugin name="org.eclipse.papyrus.infra.constraints" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.constraints.edit" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.constraints.editor" version="2.0.0"/>
@@ -177,7 +177,7 @@
<plugin name="org.eclipse.papyrus.infra.gmfdiag.expansion" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.gef" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.modelexplorer" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.extensionpoints.editors" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.extensionpoints.editors" version="3.1.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.dnd" version="1.4.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.hyperlink" version="3.0.100"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.viewersearcher" version="1.2.0"/>
@@ -191,13 +191,14 @@
<plugin name="org.eclipse.papyrus.infra.gmfdiag.assistant.ui" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.canonical" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.welcome" version="1.2.100"/>
- <plugin name="org.eclipse.papyrus.infra.gmfdiag.tooling.runtime" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.gmfdiag.tooling.runtime" version="3.1.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.representation" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.representation.edit" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.style" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.style.edit" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.paletteconfiguration" version="4.0.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.paletteconfiguration.edit" version="4.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.gmfdiag.extensionpoints.editors" version="1.0.0"/>
</feature>
<feature name="org.eclipse.papyrus.infra.internationalization.feature" version="1.0.0">
<feature name="org.eclipse.license" version="2.0.0" license="true"/>
@@ -215,14 +216,14 @@
<plugin name="org.eclipse.papyrus.infra.nattable.model" version="4.1.0"/>
<plugin name="org.eclipse.papyrus.infra.nattable.model.edit" version="4.0.100"/>
<plugin name="org.eclipse.papyrus.infra.nattable.model.editor" version="5.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.nattable" version="6.0.100"/>
+ <plugin name="org.eclipse.papyrus.infra.nattable" version="6.1.0"/>
<plugin name="org.eclipse.papyrus.infra.nattable.common" version="5.1.0"/>
- <plugin name="org.eclipse.papyrus.infra.nattable.modelexplorer" version="4.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.nattable.modelexplorer" version="4.0.100"/>
<plugin name="org.eclipse.papyrus.infra.nattable.views.config" version="5.0.0"/>
<plugin name="org.eclipse.papyrus.infra.nattable.views.editor" version="1.2.100"/>
- <plugin name="org.eclipse.papyrus.infra.emf.nattable" version="5.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.emf.nattable" version="5.1.0"/>
<plugin name="org.eclipse.papyrus.infra.nattable.controlmode" version="2.0.100"/>
- <plugin name="org.eclipse.papyrus.infra.nattable.properties" version="2.2.100"/>
+ <plugin name="org.eclipse.papyrus.infra.nattable.properties" version="2.3.0"/>
<plugin name="org.eclipse.papyrus.infra.nattable.gmfdiag" version="1.2.100"/>
<plugin name="org.eclipse.nebula.widgets.nattable.core" version="1.5.0"/>
<plugin name="ca.odell.glazedlists" version="1.9.0"/>
@@ -261,11 +262,11 @@
<plugin name="org.eclipse.papyrus.infra.types.ui" version="3.0.100"/>
<plugin name="org.eclipse.papyrus.infra.services.edit.ui" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.services.resourceloading.ui" version="1.2.100"/>
- <plugin name="org.eclipse.papyrus.infra.properties.ui" version="3.3.0"/>
+ <plugin name="org.eclipse.papyrus.infra.properties.ui" version="3.4.0"/>
<plugin name="org.eclipse.papyrus.infra.editor.welcome" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.editor.welcome.nattable" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.newchild.ui" version="2.0.100"/>
- <plugin name="org.eclipse.papyrus.infra.newchild.editor" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.newchild.editor" version="3.1.0"/>
<plugin name="org.eclipse.papyrus.infra.ui.fonts" version="1.0.0"/>
</feature>
<feature name="org.eclipse.papyrus.infra.viewpoints.feature" version="3.0.0">
@@ -274,7 +275,7 @@
</feature>
<feature name="org.eclipse.papyrus.infra.widget.feature" version="3.0.0">
<feature name="org.eclipse.license" version="2.0.0" license="true"/>
- <plugin name="org.eclipse.papyrus.infra.widgets" version="3.3.0"/>
+ <plugin name="org.eclipse.papyrus.infra.widgets" version="3.4.0"/>
<plugin name="org.eclipse.papyrus.infra.widgets.toolbox" version="2.0.0"/>
<plugin name="org.eclipse.nebula.widgets.richtext" version="1.2.0"/>
</feature>
@@ -326,26 +327,26 @@
</feature>
<feature name="org.eclipse.papyrus.uml.diagram.feature" version="3.0.0">
<feature name="org.eclipse.license" version="2.0.0" license="true"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.clazz" version="3.0.100"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.common" version="3.3.0"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.clazz" version="3.0.200"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.common" version="3.3.100"/>
<plugin name="org.eclipse.papyrus.uml.diagram.common.groups" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.component" version="3.1.0"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.deployment" version="3.1.100"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.component" version="3.2.0"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.deployment" version="3.1.200"/>
<plugin name="org.eclipse.papyrus.uml.diagram.icons" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.menu" version="2.0.100"/>
<plugin name="org.eclipse.papyrus.uml.diagram.modelexplorer" version="1.2.100"/>
<plugin name="org.eclipse.papyrus.uml.diagram.navigation" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.profile" version="3.1.0"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.statemachine" version="3.1.0"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.usecase" version="4.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.wizards" version="3.1.0"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.communication" version="4.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.sequence" version="5.1.0"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.activity" version="3.3.0"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.composite" version="3.1.0"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.statemachine" version="3.1.100"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.usecase" version="4.0.200"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.wizards" version="3.2.0"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.communication" version="4.0.100"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.sequence" version="5.1.100"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.activity" version="3.4.0"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.composite" version="3.1.100"/>
<plugin name="org.eclipse.papyrus.uml.diagram.dnd" version="1.3.100"/>
<plugin name="org.eclipse.papyrus.uml.diagram.stereotype.edition" version="2.0.100"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.timing" version="1.4.100"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.timing" version="1.4.200"/>
<plugin name="org.eclipse.papyrus.uml.diagram.interactionoverview" version="3.0.100"/>
<plugin name="org.eclipse.papyrus.uml.diagram.symbols" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.symbols.properties" version="1.2.0"/>
@@ -418,7 +419,7 @@
</feature>
<feature name="org.eclipse.papyrus.uml.nattable.feature" version="4.0.0">
<feature name="org.eclipse.license" version="2.0.0" license="true"/>
- <plugin name="org.eclipse.papyrus.uml.nattable" version="5.1.0"/>
+ <plugin name="org.eclipse.papyrus.uml.nattable" version="5.2.0"/>
<plugin name="org.eclipse.papyrus.uml.nattable.generic" version="1.2.100"/>
<plugin name="org.eclipse.papyrus.uml.nattable.generic.config" version="1.2.100"/>
<plugin name="org.eclipse.papyrus.uml.nattable.matrix" version="1.0.200"/>
@@ -445,7 +446,7 @@
<plugin name="org.eclipse.papyrus.uml.textedit.collaborationuse.xtext" version="2.1.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.collaborationuse.xtext.ui" version="2.1.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.common.xtext" version="2.1.0"/>
- <plugin name="org.eclipse.papyrus.uml.textedit.common.xtext.ui" version="2.1.0"/>
+ <plugin name="org.eclipse.papyrus.uml.textedit.common.xtext.ui" version="2.1.100"/>
<plugin name="org.eclipse.papyrus.uml.textedit.connectionpointreference.xtext" version="2.1.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.connectionpointreference.xtext.ui" version="2.1.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.message.xtext" version="2.1.0"/>
@@ -459,7 +460,7 @@
<plugin name="org.eclipse.papyrus.uml.textedit.transition.xtext" version="1.4.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.transition.xtext.ui" version="2.1.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.constraintwithessentialocl.xtext" version="1.3.0"/>
- <plugin name="org.eclipse.papyrus.uml.textedit.javaconstraint" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.textedit.javaconstraint" version="2.0.100"/>
<plugin name="org.eclipse.papyrus.uml.textedit.port.xtext" version="1.4.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.port.xtext.ui" version="2.1.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.valuespecification.xtext" version="1.4.0"/>
@@ -470,7 +471,7 @@
</feature>
<feature name="org.eclipse.papyrus.uml.tools.feature" version="3.0.0">
<feature name="org.eclipse.license" version="2.0.0" license="true"/>
- <plugin name="org.eclipse.papyrus.uml.tools.utils" version="3.4.0"/>
+ <plugin name="org.eclipse.papyrus.uml.tools.utils" version="3.4.100"/>
<plugin name="org.eclipse.papyrus.uml.tools" version="4.1.0"/>
</feature>
<feature name="org.eclipse.papyrus.uml.ui.feature" version="1.2.0">
@@ -479,9 +480,9 @@
</feature>
<feature name="org.eclipse.papyrus.uml.xtext.integration.feature" version="2.0.0">
<feature name="org.eclipse.license" version="2.0.0" license="true"/>
- <plugin name="org.eclipse.papyrus.uml.xtext.integration.core" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.xtext.integration.ui" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.xtext.integration.validation" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.xtext.integration.core" version="2.1.0"/>
+ <plugin name="org.eclipse.papyrus.uml.xtext.integration.ui" version="2.1.0"/>
+ <plugin name="org.eclipse.papyrus.uml.xtext.integration.validation" version="2.1.0"/>
</feature>
<feature name="org.eclipse.papyrus.views.documentation.feature" version="1.0.0">
<feature name="org.eclipse.license" version="2.0.0" license="true"/>
@@ -498,7 +499,7 @@
</feature>
<feature name="org.eclipse.papyrus.views.modelexplorer.feature" version="3.0.0">
<feature name="org.eclipse.license" version="2.0.0" license="true"/>
- <plugin name="org.eclipse.papyrus.views.modelexplorer" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.views.modelexplorer" version="3.0.100"/>
<plugin name="org.eclipse.papyrus.views.modelexplorer.resourceloading" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.views.modelexplorer.widgets" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.views.modelexplorer.newchild" version="1.2.100"/>
@@ -530,7 +531,6 @@
<plugin name="org.eclipse.nebula.widgets.richtext" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.copypaste.ui.doc" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.customization.paletteconfiguration.doc" version="1.0.0"/>
- <plugin name="org.eclipse.papyrus.dev.pluginexplorer" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.dsml.validation.doc" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.eclipse.project.editors" version="2.1.0"/>
<plugin name="org.eclipse.papyrus.editor" version="2.0.0"/>
@@ -542,7 +542,7 @@
<plugin name="org.eclipse.papyrus.emf.facet.common.ui" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.custom.core" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.custom.doc" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.emf.facet.custom.metamodel" version="1.3.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.custom.metamodel" version="1.4.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.custom.metamodel.edit" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.custom.metamodel.editor" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.custom.metamodel.editor.doc" version="1.2.0"/>
@@ -556,13 +556,13 @@
<plugin name="org.eclipse.papyrus.emf.facet.efacet.doc" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.efacet.edit" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.efacet.editor" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.emf.facet.efacet.metamodel" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.efacet.metamodel" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.efacet.metamodel.edit" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.efacet.sdk.ui" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.efacet.ui" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.query.java" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.query.java.core" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.emf.facet.query.java.metamodel" version="1.2.0"/>
+ <plugin name="org.eclipse.papyrus.emf.facet.query.java.metamodel" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.query.java.sdk.ui" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.query.ocl.core" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.query.ocl.metamodel" version="1.2.0"/>
@@ -579,7 +579,7 @@
<plugin name="org.eclipse.papyrus.emf.facet.widgets" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.widgets.celleditors" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.emf.facet.widgets.celleditors.ecore" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.extensionpoints.editors" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.extensionpoints.editors" version="3.1.0"/>
<plugin name="org.eclipse.papyrus.infra.architecture" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.architecture.doc" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.infra.architecture.representation" version="2.0.0"/>
@@ -592,7 +592,7 @@
<plugin name="org.eclipse.papyrus.infra.core.architecture" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.core.architecture.edit" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.core.log" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.infra.core.sasheditor" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.core.sasheditor" version="2.1.0"/>
<plugin name="org.eclipse.papyrus.infra.core.sasheditor.di" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.core.sashwindows.di" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.doc" version="1.2.0"/>
@@ -608,7 +608,7 @@
<plugin name="org.eclipse.papyrus.infra.emf.expressions.editor" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.infra.emf.expressions.properties" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.infra.emf.gmf" version="1.2.100"/>
- <plugin name="org.eclipse.papyrus.infra.emf.nattable" version="5.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.emf.nattable" version="5.1.0"/>
<plugin name="org.eclipse.papyrus.infra.emf.readonly" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.emf.types" version="4.1.0"/>
<plugin name="org.eclipse.papyrus.infra.emf.types.ui" version="4.1.0"/>
@@ -638,6 +638,7 @@
<plugin name="org.eclipse.papyrus.infra.gmfdiag.expansion.edit" version="2.1.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.expansion.editor" version="2.1.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.export" version="2.1.0"/>
+ <plugin name="org.eclipse.papyrus.infra.gmfdiag.extensionpoints.editors" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.gef" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.gmfmenu.filter" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.hyperlink" version="3.0.100"/>
@@ -647,13 +648,14 @@
<plugin name="org.eclipse.papyrus.infra.gmfdiag.outline" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.paletteconfiguration" version="4.0.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.paletteconfiguration.edit" version="4.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.gmfdiag.paletteconfiguration.editor" version="3.1.1"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.preferences" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.properties" version="4.0.100"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.representation" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.representation.edit" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.style" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.style.edit" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.gmfdiag.tooling.runtime" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.gmfdiag.tooling.runtime" version="3.1.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.viewersearcher" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.welcome" version="1.2.100"/>
<plugin name="org.eclipse.papyrus.infra.gmfdiag.widgets" version="1.2.0"/>
@@ -666,7 +668,7 @@
<plugin name="org.eclipse.papyrus.infra.internationalization.readonly" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.infra.internationalization.ui" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.infra.internationalization.utils" version="1.0.100"/>
- <plugin name="org.eclipse.papyrus.infra.nattable" version="6.0.100"/>
+ <plugin name="org.eclipse.papyrus.infra.nattable" version="6.1.0"/>
<plugin name="org.eclipse.papyrus.infra.nattable.common" version="5.1.0"/>
<plugin name="org.eclipse.papyrus.infra.nattable.controlmode" version="2.0.100"/>
<plugin name="org.eclipse.papyrus.infra.nattable.doc" version="1.3.0"/>
@@ -674,8 +676,8 @@
<plugin name="org.eclipse.papyrus.infra.nattable.model" version="4.1.0"/>
<plugin name="org.eclipse.papyrus.infra.nattable.model.edit" version="4.0.100"/>
<plugin name="org.eclipse.papyrus.infra.nattable.model.editor" version="5.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.nattable.modelexplorer" version="4.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.nattable.properties" version="2.2.100"/>
+ <plugin name="org.eclipse.papyrus.infra.nattable.modelexplorer" version="4.0.100"/>
+ <plugin name="org.eclipse.papyrus.infra.nattable.properties" version="2.3.0"/>
<plugin name="org.eclipse.papyrus.infra.nattable.representation" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.nattable.representation.edit" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.infra.nattable.views.config" version="5.0.0"/>
@@ -683,14 +685,14 @@
<plugin name="org.eclipse.papyrus.infra.newchild" version="4.0.0"/>
<plugin name="org.eclipse.papyrus.infra.newchild.doc" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.newchild.edit" version="4.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.newchild.editor" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.infra.newchild.editor" version="3.1.0"/>
<plugin name="org.eclipse.papyrus.infra.newchild.ui" version="2.0.100"/>
- <plugin name="org.eclipse.papyrus.infra.onefile" version="2.1.0"/>
+ <plugin name="org.eclipse.papyrus.infra.onefile" version="2.2.0"/>
<plugin name="org.eclipse.papyrus.infra.onefile.ui" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.properties" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.properties.edit" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.infra.properties.editor" version="3.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.properties.ui" version="3.3.0"/>
+ <plugin name="org.eclipse.papyrus.infra.properties.ui" version="3.4.0"/>
<plugin name="org.eclipse.papyrus.infra.psf" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.services.architecture" version="1.0.100"/>
<plugin name="org.eclipse.papyrus.infra.services.controlmode" version="2.0.100"/>
@@ -726,12 +728,11 @@
<plugin name="org.eclipse.papyrus.infra.ui.fonts" version="1.0.0"/>
<plugin name="org.eclipse.papyrus.infra.ui.resources" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.infra.viewpoints.policy" version="3.0.0"/>
- <plugin name="org.eclipse.papyrus.infra.widgets" version="3.3.0"/>
+ <plugin name="org.eclipse.papyrus.infra.widgets" version="3.4.0"/>
<plugin name="org.eclipse.papyrus.infra.widgets.toolbox" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.releng.main.release" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.req.reqif.doc" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.sdk" version="4.2.0"/>
- <plugin name="org.eclipse.papyrus.toolsmiths.palette" version="3.0.100"/>
<plugin name="org.eclipse.papyrus.toolsmiths.profilemigration.doc" version="0.7.0"/>
<plugin name="org.eclipse.papyrus.uml.alf" version="3.0.0"/>
<plugin name="org.eclipse.papyrus.uml.alf.common" version="2.0.0"/>
@@ -748,16 +749,16 @@
<plugin name="org.eclipse.papyrus.uml.decoratormodel.doc" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.decoratormodel.properties" version="4.0.0"/>
<plugin name="org.eclipse.papyrus.uml.decoratormodel.ui" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.activity" version="3.3.0"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.clazz" version="3.0.100"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.common" version="3.3.0"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.activity" version="3.4.0"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.clazz" version="3.0.200"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.common" version="3.3.100"/>
<plugin name="org.eclipse.papyrus.uml.diagram.common.doc" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.common.groups" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.communication" version="4.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.component" version="3.1.0"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.composite" version="3.1.0"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.communication" version="4.0.100"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.component" version="3.2.0"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.composite" version="3.1.100"/>
<plugin name="org.eclipse.papyrus.uml.diagram.css" version="2.0.100"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.deployment" version="3.1.100"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.deployment" version="3.1.200"/>
<plugin name="org.eclipse.papyrus.uml.diagram.dnd" version="1.3.100"/>
<plugin name="org.eclipse.papyrus.uml.diagram.icons" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.interactionoverview" version="3.0.100"/>
@@ -767,15 +768,15 @@
<plugin name="org.eclipse.papyrus.uml.diagram.navigation" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.profile" version="3.1.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.profile.doc" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.sequence" version="5.1.0"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.sequence" version="5.1.100"/>
<plugin name="org.eclipse.papyrus.uml.diagram.sequence.restrictions" version="1.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.statemachine" version="3.1.0"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.statemachine" version="3.1.100"/>
<plugin name="org.eclipse.papyrus.uml.diagram.stereotype.edition" version="2.0.100"/>
<plugin name="org.eclipse.papyrus.uml.diagram.symbols" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.diagram.symbols.properties" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.timing" version="1.4.100"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.usecase" version="4.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.diagram.wizards" version="3.1.0"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.timing" version="1.4.200"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.usecase" version="4.0.200"/>
+ <plugin name="org.eclipse.papyrus.uml.diagram.wizards" version="3.2.0"/>
<plugin name="org.eclipse.papyrus.uml.doc" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.documentation.profile" version="1.3.0"/>
<plugin name="org.eclipse.papyrus.uml.export" version="1.0.0"/>
@@ -796,7 +797,7 @@
<plugin name="org.eclipse.papyrus.uml.modelexplorer.widgets" version="2.0.100"/>
<plugin name="org.eclipse.papyrus.uml.modelrepair" version="2.0.100"/>
<plugin name="org.eclipse.papyrus.uml.modelrepair.doc" version="1.2.0"/>
- <plugin name="org.eclipse.papyrus.uml.nattable" version="5.1.0"/>
+ <plugin name="org.eclipse.papyrus.uml.nattable" version="5.2.0"/>
<plugin name="org.eclipse.papyrus.uml.nattable.clazz.config" version="5.0.0"/>
<plugin name="org.eclipse.papyrus.uml.nattable.generic" version="1.2.100"/>
<plugin name="org.eclipse.papyrus.uml.nattable.generic.config" version="1.2.100"/>
@@ -815,6 +816,7 @@
<plugin name="org.eclipse.papyrus.uml.profile.assistants.generator" version="4.0.0"/>
<plugin name="org.eclipse.papyrus.uml.profile.assistants.generator.ui" version="1.2.100"/>
<plugin name="org.eclipse.papyrus.uml.profile.drafter" version="1.3.0"/>
+ <plugin name="org.eclipse.papyrus.uml.profile.drafter.documentation" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.profile.newchildmenu.generator" version="1.2.100"/>
<plugin name="org.eclipse.papyrus.uml.profile.newchildmenu.generator.ui" version="1.2.0"/>
<plugin name="org.eclipse.papyrus.uml.profile.types.generator" version="2.2.0"/>
@@ -833,11 +835,11 @@
<plugin name="org.eclipse.papyrus.uml.textedit.collaborationuse.xtext" version="2.1.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.collaborationuse.xtext.ui" version="2.1.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.common.xtext" version="2.1.0"/>
- <plugin name="org.eclipse.papyrus.uml.textedit.common.xtext.ui" version="2.1.0"/>
+ <plugin name="org.eclipse.papyrus.uml.textedit.common.xtext.ui" version="2.1.100"/>
<plugin name="org.eclipse.papyrus.uml.textedit.connectionpointreference.xtext" version="2.1.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.connectionpointreference.xtext.ui" version="2.1.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.constraintwithessentialocl.xtext" version="1.3.0"/>
- <plugin name="org.eclipse.papyrus.uml.textedit.javaconstraint" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.textedit.javaconstraint" version="2.0.100"/>
<plugin name="org.eclipse.papyrus.uml.textedit.message.xtext" version="2.1.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.message.xtext.ui" version="2.1.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.parameter.xtext" version="2.1.0"/>
@@ -856,16 +858,16 @@
<plugin name="org.eclipse.papyrus.uml.textedit.valuespecification.xtext.ui" version="2.1.0"/>
<plugin name="org.eclipse.papyrus.uml.textedit.valuespecification.xtext.utils" version="1.4.0"/>
<plugin name="org.eclipse.papyrus.uml.tools" version="4.1.0"/>
- <plugin name="org.eclipse.papyrus.uml.tools.utils" version="3.4.0"/>
+ <plugin name="org.eclipse.papyrus.uml.tools.utils" version="3.4.100"/>
<plugin name="org.eclipse.papyrus.uml.types.core" version="4.0.0"/>
<plugin name="org.eclipse.papyrus.uml.types.ui.properties" version="3.1.100"/>
<plugin name="org.eclipse.papyrus.uml.ui" version="1.3.100"/>
- <plugin name="org.eclipse.papyrus.uml.xtext.integration.core" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.xtext.integration.ui" version="2.0.0"/>
- <plugin name="org.eclipse.papyrus.uml.xtext.integration.validation" version="2.0.0"/>
+ <plugin name="org.eclipse.papyrus.uml.xtext.integration.core" version="2.1.0"/>
+ <plugin name="org.eclipse.papyrus.uml.xtext.integration.ui" version="2.1.0"/>
+ <plugin name="org.eclipse.papyrus.uml.xtext.integration.validation" version="2.1.0"/>
<plugin name="org.eclipse.papyrus.views.documentation" version="1.0.100"/>
<plugin name="org.eclipse.papyrus.views.documentation.doc" version="1.0.0"/>
- <plugin name="org.eclipse.papyrus.views.modelexplorer" version="3.0.0"/>
+ <plugin name="org.eclipse.papyrus.views.modelexplorer" version="3.0.100"/>
<plugin name="org.eclipse.papyrus.views.modelexplorer.newchild" version="1.2.100"/>
<plugin name="org.eclipse.papyrus.views.modelexplorer.resourceloading" version="2.0.0"/>
<plugin name="org.eclipse.papyrus.views.modelexplorer.widgets" version="2.0.0"/>
diff --git a/plugins/toolsmiths/org.eclipse.papyrus.releng.tools/.project b/plugins/toolsmiths/org.eclipse.papyrus.releng.tools/.project
index 3cff99c9bf9..21ca50b46ce 100644
--- a/plugins/toolsmiths/org.eclipse.papyrus.releng.tools/.project
+++ b/plugins/toolsmiths/org.eclipse.papyrus.releng.tools/.project
@@ -15,6 +15,11 @@
<arguments>
</arguments>
</buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
<buildCommand>
<name>net.sf.eclipsecs.core.CheckstyleBuilder</name>
<arguments>
diff --git a/plugins/toolsmiths/org.eclipse.papyrus.toolsmiths.expressions/.project b/plugins/toolsmiths/org.eclipse.papyrus.toolsmiths.expressions/.project
index 95f07e5b3b7..0ca0871f3dd 100755
--- a/plugins/toolsmiths/org.eclipse.papyrus.toolsmiths.expressions/.project
+++ b/plugins/toolsmiths/org.eclipse.papyrus.toolsmiths.expressions/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.dev.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/toolsmiths/org.eclipse.papyrus.toolsmiths.palette/.project b/plugins/toolsmiths/org.eclipse.papyrus.toolsmiths.palette/.project
index b92e0983fdc..195f250df57 100644
--- a/plugins/toolsmiths/org.eclipse.papyrus.toolsmiths.palette/.project
+++ b/plugins/toolsmiths/org.eclipse.papyrus.toolsmiths.palette/.project
@@ -15,11 +15,11 @@
<arguments>
</arguments>
</buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
<buildCommand>
<name>org.eclipse.oomph.version.VersionBuilder</name>
<arguments>
@@ -33,7 +33,7 @@
</dictionary>
<dictionary>
<key>release.path</key>
- <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ <value>/org.eclipse.papyrus.releng.dev.release/release.xml</value>
</dictionary>
</arguments>
</buildCommand>
diff --git a/plugins/toolsmiths/org.eclipse.papyrus.toolsmiths/.project b/plugins/toolsmiths/org.eclipse.papyrus.toolsmiths/.project
index 228c38a0410..fd98226991e 100644
--- a/plugins/toolsmiths/org.eclipse.papyrus.toolsmiths/.project
+++ b/plugins/toolsmiths/org.eclipse.papyrus.toolsmiths/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.dev.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/toolsmiths/org.eclipse.papyrus.uml.m2m.qvto.tests.tools/.project b/plugins/toolsmiths/org.eclipse.papyrus.uml.m2m.qvto.tests.tools/.project
index 1b37c2cac47..1e83786119d 100644
--- a/plugins/toolsmiths/org.eclipse.papyrus.uml.m2m.qvto.tests.tools/.project
+++ b/plugins/toolsmiths/org.eclipse.papyrus.uml.m2m.qvto.tests.tools/.project
@@ -5,24 +5,43 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.dev.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/toolsmiths/profilemigration/org.eclipse.papyrus.toolsmiths.profilemigration.ui/.project b/plugins/toolsmiths/profilemigration/org.eclipse.papyrus.toolsmiths.profilemigration.ui/.project
index aa41a314a26..1b5944612c5 100644
--- a/plugins/toolsmiths/profilemigration/org.eclipse.papyrus.toolsmiths.profilemigration.ui/.project
+++ b/plugins/toolsmiths/profilemigration/org.eclipse.papyrus.toolsmiths.profilemigration.ui/.project
@@ -5,24 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.dev.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/toolsmiths/profilemigration/org.eclipse.papyrus.toolsmiths.profilemigration/.project b/plugins/toolsmiths/profilemigration/org.eclipse.papyrus.toolsmiths.profilemigration/.project
index d1a07d36f08..bfb6bb3b66b 100644
--- a/plugins/toolsmiths/profilemigration/org.eclipse.papyrus.toolsmiths.profilemigration/.project
+++ b/plugins/toolsmiths/profilemigration/org.eclipse.papyrus.toolsmiths.profilemigration/.project
@@ -5,24 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.dev.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/uml/architecture/org.eclipse.papyrus.uml.architecture/.project b/plugins/uml/architecture/org.eclipse.papyrus.uml.architecture/.project
index 44501586e11..47db343146f 100644
--- a/plugins/uml/architecture/org.eclipse.papyrus.uml.architecture/.project
+++ b/plugins/uml/architecture/org.eclipse.papyrus.uml.architecture/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence.restrictions/.project b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence.restrictions/.project
index e6d127a09a4..4d705b39f85 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence.restrictions/.project
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence.restrictions/.project
@@ -5,29 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ds.core.builder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ds.core.builder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/uml/expressions/org.eclipse.papyrus.uml.expressions.edit/.project b/plugins/uml/expressions/org.eclipse.papyrus.uml.expressions.edit/.project
index aad41751e6c..db2f96e99c2 100755
--- a/plugins/uml/expressions/org.eclipse.papyrus.uml.expressions.edit/.project
+++ b/plugins/uml/expressions/org.eclipse.papyrus.uml.expressions.edit/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/uml/expressions/org.eclipse.papyrus.uml.expressions.properties/.project b/plugins/uml/expressions/org.eclipse.papyrus.uml.expressions.properties/.project
index bb80212d207..c82c2062569 100755
--- a/plugins/uml/expressions/org.eclipse.papyrus.uml.expressions.properties/.project
+++ b/plugins/uml/expressions/org.eclipse.papyrus.uml.expressions.properties/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/uml/expressions/org.eclipse.papyrus.uml.expressions/.project b/plugins/uml/expressions/org.eclipse.papyrus.uml.expressions/.project
index 10ea7398a58..a13c38cdaad 100755
--- a/plugins/uml/expressions/org.eclipse.papyrus.uml.expressions/.project
+++ b/plugins/uml/expressions/org.eclipse.papyrus.uml.expressions/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/uml/m2m/org.eclipse.papyrus.uml.m2m.qvto.common.blackboxes/.project b/plugins/uml/m2m/org.eclipse.papyrus.uml.m2m.qvto.common.blackboxes/.project
index acde871f0d8..3292a4f84fc 100644
--- a/plugins/uml/m2m/org.eclipse.papyrus.uml.m2m.qvto.common.blackboxes/.project
+++ b/plugins/uml/m2m/org.eclipse.papyrus.uml.m2m.qvto.common.blackboxes/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/uml/m2m/org.eclipse.papyrus.uml.m2m.qvto.common/.project b/plugins/uml/m2m/org.eclipse.papyrus.uml.m2m.qvto.common/.project
index 8fb2e1590ed..07f0ad09023 100644
--- a/plugins/uml/m2m/org.eclipse.papyrus.uml.m2m.qvto.common/.project
+++ b/plugins/uml/m2m/org.eclipse.papyrus.uml.m2m.qvto.common/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.matrix/.project b/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.matrix/.project
index 1f6c4da1353..feb826f00a2 100755
--- a/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.matrix/.project
+++ b/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.matrix/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.properties/.project b/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.properties/.project
index 06ce1387a9b..9f5fa7e026c 100755
--- a/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.properties/.project
+++ b/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.properties/.project
@@ -5,30 +5,48 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>
diff --git a/plugins/uml/profile/org.eclipse.papyrus.uml.profile.drafter.documentation/.project b/plugins/uml/profile/org.eclipse.papyrus.uml.profile.drafter.documentation/.project
index e0822e7278f..5c2a0f1c5c5 100644
--- a/plugins/uml/profile/org.eclipse.papyrus.uml.profile.drafter.documentation/.project
+++ b/plugins/uml/profile/org.eclipse.papyrus.uml.profile.drafter.documentation/.project
@@ -5,48 +5,43 @@
<projects>
</projects>
<buildSpec>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.oomph.version.VersionBuilder</name>
- <arguments>
- <dictionary>
- <key>check.maven.pom</key>
- <value>true</value>
- </dictionary>
- <dictionary>
- <key>ignore.lower.bound.dependency.ranges</key>
- <value>true</value>
- </dictionary>
- <dictionary>
- <key>release.path</key>
- <value>org.eclipse.papyrus.releng.main.release/release.xml</value>
- </dictionary>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- <nature>org.eclipse.oomph.version.VersionNature</nature>
- <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
- </natures>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.oomph.version.VersionBuilder</name>
+ <arguments>
+ <dictionary>
+ <key>check.maven.pom</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>ignore.lower.bound.dependency.ranges</key>
+ <value>true</value>
+ </dictionary>
+ <dictionary>
+ <key>release.path</key>
+ <value>/org.eclipse.papyrus.releng.main.release/release.xml</value>
+ </dictionary>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
+ <nature>org.eclipse.oomph.version.VersionNature</nature>
+ </natures>
</projectDescription>

Back to the top